"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const react_query_1 = require("react-query");
const devtools_1 = require("react-query/devtools");
const ClientProvider_1 = require("./ClientProvider");
const defaultQueryConfigs = {
    defaultOptions: {
        queries: {
            // refetchOnWindowFocus: false,
            staleTime: 5 * 60 * 1000, // 5min,
        },
    },
};
const Provider = ({ children, queryConfig, config, onTokenUpdate, }) => {
    const queryClient = new react_query_1.QueryClient((0, lodash_merge_1.default)(defaultQueryConfigs, queryConfig));
    return ((0, jsx_runtime_1.jsx)(ClientProvider_1.ClientProvider, { config: config, onTokenUpdate: onTokenUpdate, children: (0, jsx_runtime_1.jsxs)(react_query_1.QueryClientProvider, { client: queryClient, children: [children, (0, jsx_runtime_1.jsx)(devtools_1.ReactQueryDevtools, {}, void 0)] }, void 0) }, void 0));
};
exports.Provider = Provider;
//# sourceMappingURL=Provider.js.map