"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AvatarInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const clsx_1 = __importDefault(require("clsx"));
const react_hook_form_1 = require("react-hook-form");
const Avatar_1 = require("@tribeplatform/react-ui-kit/Avatar");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
const icons_1 = require("@tribeplatform/react-ui-kit/icons");
const hooks_1 = require("../../hooks");
const AvatarInput = (props) => {
    var _a;
    const { name, picture, alt, label, helperText, error, invalid } = props;
    const { setValue, register } = (0, react_hook_form_1.useFormContext)();
    const fileInputRef = (0, react_1.useRef)();
    const { loadingFile, uploadFile, loading } = (0, hooks_1.useUploadFile)();
    const [uploadedFile, setUploadedFile] = (0, react_1.useState)();
    const onChangeFile = e => {
        var _a;
        const file = (_a = Array.from(e.target.files)) === null || _a === void 0 ? void 0 : _a[0];
        uploadFile(file, async (uploadedImage) => {
            setUploadedFile(uploadedImage);
            setValue(name, uploadedImage.id);
        });
    };
    const avatar = loadingFile || uploadedFile || picture;
    (0, react_1.useEffect)(() => {
        register(name);
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { children: [label ? ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Label, { htmlFor: name, children: label }, void 0)) : null, (0, jsx_runtime_1.jsxs)("div", { className: (0, clsx_1.default)('hover:bg-surface-200 rounded-full relative w-32 h-32', label && 'mt-1'), children: [(0, jsx_runtime_1.jsx)(Avatar_1.Avatar, { size: "3xl", name: alt, src: ((_a = avatar === null || avatar === void 0 ? void 0 : avatar.urls) === null || _a === void 0 ? void 0 : _a.small) || (avatar === null || avatar === void 0 ? void 0 : avatar.url) }, void 0), (0, jsx_runtime_1.jsx)("input", { type: "file", className: "hidden", multiple: false, ref: fileInputRef, onChange: onChangeFile }, void 0), loading && ((0, jsx_runtime_1.jsx)("div", { className: "flex items-center justify-center text-white rounded-full bg-black opacity-50 absolute top-0 bottom-0 left-0 right-0", children: (0, jsx_runtime_1.jsx)(icons_1.SpinnerIcon, { className: "animate-spin h-7 w-7" }, void 0) }, void 0)), !loading && ((0, jsx_runtime_1.jsx)("div", { onClick: () => {
                            fileInputRef.current.click();
                        }, className: "flex items-center justify-center rounded-full text-white bg-black bg-opacity-50 opacity-0 hover:opacity-100 absolute top-0 bottom-0 left-0 right-0 cursor-pointer", children: "Change" }, void 0))] }, void 0), (0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Meta, { ...{ helperText, error, invalid } }, void 0)] }, void 0));
};
exports.AvatarInput = AvatarInput;
//# sourceMappingURL=AvatarInput.js.map