"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Form = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_hook_form_1 = require("react-hook-form");
const Alert_1 = require("@tribeplatform/react-ui-kit/Alert");
exports.Form = (0, react_1.forwardRef)(({ defaultValues = {}, children, onSubmit, alertClasses, ...rest }, ref) => {
    const methods = (0, react_hook_form_1.useForm)({
        defaultValues,
    });
    const [generalErrors, setGeneralErrors] = (0, react_1.useState)([]);
    const { setError, handleSubmit, formState: { isSubmitSuccessful }, } = methods;
    async function submitForm(data) {
        var _a;
        try {
            setGeneralErrors([]);
            await onSubmit(data, methods);
        }
        catch (err) {
            const errors = (_a = err === null || err === void 0 ? void 0 : err.response) === null || _a === void 0 ? void 0 : _a.errors;
            const errMsgs = [];
            errors === null || errors === void 0 ? void 0 : errors.forEach(e => {
                if (e === null || e === void 0 ? void 0 : e.field) {
                    setError(e === null || e === void 0 ? void 0 : e.field, {
                        type: 'validate',
                        message: e === null || e === void 0 ? void 0 : e.message,
                    });
                }
                else if (e === null || e === void 0 ? void 0 : e.message) {
                    errMsgs.push(e);
                }
            });
            if (errMsgs.length) {
                setGeneralErrors(errMsgs);
            }
        }
    }
    (0, react_1.useImperativeHandle)(ref, () => ({
        methods,
    }));
    if (typeof children === 'function') {
        children = children({ ...methods, submitForm });
    }
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.FormProvider, { ...methods, children: (0, jsx_runtime_1.jsxs)("form", { onSubmit: handleSubmit(submitForm), "data-submit-successful": isSubmitSuccessful || undefined, ...rest, children: [(generalErrors === null || generalErrors === void 0 ? void 0 : generalErrors.length) ? ((0, jsx_runtime_1.jsx)(Alert_1.Alert, { status: "error", className: alertClasses || 'mb-3', children: generalErrors.map(err => {
                        if (!(err === null || err === void 0 ? void 0 : err.message))
                            return null;
                        return (0, jsx_runtime_1.jsx)("div", { children: err === null || err === void 0 ? void 0 : err.message }, err === null || err === void 0 ? void 0 : err.message);
                    }) }, void 0)) : null, children] }, void 0) }, void 0));
});
//# sourceMappingURL=Form.js.map