"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormControlHtmlEditor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const extension_link_1 = __importDefault(require("@tiptap/extension-link"));
const extension_placeholder_1 = __importDefault(require("@tiptap/extension-placeholder"));
const extension_underline_1 = __importDefault(require("@tiptap/extension-underline"));
const react_2 = require("@tiptap/react");
const starter_kit_1 = __importDefault(require("@tiptap/starter-kit"));
const clsx_1 = __importDefault(require("clsx"));
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
const TextBubbleMenu_1 = require("./TextBubbleMenu");
const FormControlHtmlEditor = ({ placeholder, name, value, error, invalid, label, helperText, onChange, }) => {
    const [focused, setFocused] = (0, react_1.useState)(false);
    const editor = (0, react_2.useEditor)({
        onUpdate: ({ editor }) => {
            onChange(editor.isEmpty ? '' : editor.getHTML());
        },
        onFocus: () => {
            setFocused(true);
        },
        onBlur: () => {
            setFocused(false);
        },
        extensions: [
            starter_kit_1.default,
            extension_underline_1.default,
            extension_link_1.default,
            extension_placeholder_1.default.configure({
                placeholder,
            }),
        ],
        editorProps: {
            attributes: {
                class: 'flex-1',
            },
        },
        content: value,
    });
    if (!editor)
        return null;
    return ((0, jsx_runtime_1.jsxs)("div", { children: [label ? ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Label, { htmlFor: name, children: label }, void 0)) : null, (0, jsx_runtime_1.jsxs)("div", { className: (0, clsx_1.default)(!!label && 'mt-1'), children: [(0, jsx_runtime_1.jsxs)("div", { 
                        // h-28 is not working !?
                        style: { minHeight: '114px' }, className: (0, clsx_1.default)('flex flex-col relative shadow-sm min-h-28 px-3 py-2 border w-full rounded-md text-basicSurface-500 bg-surface-50 placeholder-basicSurface-300/75 border-basicSurface-300/25', focused &&
                            'outline border-actionPrimary-500 ring-actionPrimary-500', invalid && 'pr-10 outline ring-danger-500 border-danger-500'), children: [(0, jsx_runtime_1.jsx)("div", { className: "inline-block mb-2 overflow-auto", children: (0, jsx_runtime_1.jsx)(TextBubbleMenu_1.TextFormattingMenu, { editor: editor, className: "shadow-none border-none bg-transparent px-0" }, void 0) }, void 0), (0, jsx_runtime_1.jsx)(react_2.EditorContent, { editor: editor, className: "flex flex-col flex-1" }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Meta, { invalid: invalid, error: error, helperText: helperText }, void 0)] }, void 0)] }, void 0));
};
exports.FormControlHtmlEditor = FormControlHtmlEditor;
//# sourceMappingURL=FormControlHtmlEditor.js.map