"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_hook_form_1 = require("react-hook-form");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
exports.Input = (0, react_1.forwardRef)(({ name, validation, ...rest }, ref) => {
    const { register, formState } = (0, react_hook_form_1.useFormContext)();
    // This is to get the nested errors from formState.errors
    // Example: name = "a.b", we want to get formState.errors.a.b
    const error = name
        .split('.')
        .reduce((error, name) => error === null || error === void 0 ? void 0 : error[name], formState.errors);
    const { ref: registerRef, ...registerRest } = register(name, validation);
    return ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Input, { ref: node => {
            if (ref) {
                ;
                ref.current = node;
            }
            registerRef(node);
        }, name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, ...registerRest, ...rest }, void 0));
});
//# sourceMappingURL=Input.js.map