import { FC } from 'react';
import { FormActionsProps } from './Actions';
import { AvatarInputProps } from './AvatarInput';
import { CheckboxProps } from './Checkbox';
import { MemberPickerProps } from './FormMemberPicker';
import { SpacePickerProps } from './FormSpacePicker';
import { SimpleHtmlEditorProps } from './HtmlEditor/SimpleHtmlEditor';
import { InputProps } from './Input';
import { MultiselectProps } from './Multiselect';
import { RadioGroupProps } from './Radio';
import { SearchableSelectProps } from './SearchableSelect';
import { SelectProps } from './Select';
import { TextareaProps } from './Textarea';
import { ToggleProps } from './Toggle';
import { FormComponent as FormComponentType } from './typings';
export * from './typings';
export interface FormType extends FormComponentType {
    Avatar?: FC<AvatarInputProps>;
    Checkbox?: FC<CheckboxProps>;
    Input?: FC<InputProps>;
    MemberPicker?: FC<MemberPickerProps>;
    RadioGroup?: FC<RadioGroupProps>;
    Select?: FC<SelectProps>;
    Multiselect?: FC<MultiselectProps>;
    SpacePicker?: FC<SpacePickerProps>;
    Textarea?: FC<TextareaProps>;
    Toggle?: FC<ToggleProps>;
    Actions?: FC<FormActionsProps>;
    SimpleHtmlEditor?: FC<SimpleHtmlEditorProps>;
    SearchableSelect?: FC<SearchableSelectProps>;
}
export declare const Form: FormType;
