"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const clsx_1 = __importDefault(require("clsx"));
const html_react_parser_1 = __importStar(require("html-react-parser"));
const react_helmet_1 = require("react-helmet");
const react_router_dom_1 = require("react-router-dom");
// eslint-disable-next-line no-restricted-imports
const atom_one_dark_reasonable_1 = __importDefault(require("react-syntax-highlighter/dist/cjs/styles/hljs/atom-one-dark-reasonable"));
const Link_1 = require("@tribeplatform/react-ui-kit/Link");
const MediaModal_1 = require("../MediaModal");
const _types_1 = require("./@types");
const CodeCopyButton_1 = require("./CodeCopyButton");
const renderers_1 = require("./renderers");
const utils_1 = require("./utils");
const SyntaxHighlighter = (0, react_1.lazy)(() => Promise.resolve().then(() => __importStar(require('react-syntax-highlighter'))));
const parentIsAList = domNode => { var _a; return ['li', 'ol', 'ul'].indexOf((_a = domNode === null || domNode === void 0 ? void 0 : domNode.parent) === null || _a === void 0 ? void 0 : _a.name) > -1; };
const HtmlContent = ({ value, embeds, mentions, isReply, generateMemberPath, }) => {
    let mediaIndex = -1;
    // The first one is active by default.
    const [activeMediaIndex, setActiveMediaIndex] = (0, react_1.useState)(0);
    const slides = [];
    const [mediaModalVisibility, setMediaModalVisibility] = (0, react_1.useState)(false);
    const handleModalVisibility = (0, react_1.useCallback)(e => {
        var _a;
        setActiveMediaIndex(Number((_a = e === null || e === void 0 ? void 0 : e.currentTarget.dataset) === null || _a === void 0 ? void 0 : _a.index));
        setMediaModalVisibility(true);
    }, []);
    const handleModalClose = (0, react_1.useCallback)(() => {
        setMediaModalVisibility(false);
    }, []);
    const embedAlignmentClass = isReply ? '' : '-ml-6 -mr-6';
    const options = {
        replace: _domNode => {
            var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r;
            const domNode = _domNode;
            const tagName = domNode.name;
            let codeLanguage = 'text';
            switch (tagName) {
                case 'figure': {
                    switch ((_a = domNode.firstChild) === null || _a === void 0 ? void 0 : _a.name) {
                        case 'img': {
                            const imgSlide = (0, utils_1.imgToImage)(domNode.firstChild);
                            if (imgSlide) {
                                slides.push(imgSlide);
                            }
                            mediaIndex += 1;
                            return (0, renderers_1.renderImg)(domNode.firstChild, {
                                className: parentIsAList(domNode) ? '' : embedAlignmentClass,
                                mediaIndex,
                                onClick: handleModalVisibility,
                            });
                        }
                        case 'audio':
                            return (0, renderers_1.renderAudio)(domNode.firstChild);
                        case 'video':
                            return (0, renderers_1.renderVideo)(domNode.firstChild, {
                                className: embedAlignmentClass,
                            });
                        default:
                            return domNode;
                    }
                }
                case 'img': {
                    const imgSlide = (0, utils_1.imgToImage)(domNode);
                    if (imgSlide) {
                        slides.push(imgSlide);
                    }
                    mediaIndex += 1;
                    return (0, renderers_1.renderImg)(domNode, {
                        className: parentIsAList(domNode) ? '' : embedAlignmentClass,
                        mediaIndex,
                        onClick: handleModalVisibility,
                    });
                }
                case 'h1':
                case 'h2':
                    return ((0, jsx_runtime_1.jsx)("h2", { className: "text-xl", children: (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                case 'audio':
                    return (0, renderers_1.renderAudio)(domNode);
                case 'video':
                    return (0, renderers_1.renderVideo)(domNode, { className: embedAlignmentClass });
                case 'pre': {
                    if (!((_b = domNode === null || domNode === void 0 ? void 0 : domNode.children) === null || _b === void 0 ? void 0 : _b.length) ||
                        ((_c = domNode === null || domNode === void 0 ? void 0 : domNode.children[0]) === null || _c === void 0 ? void 0 : _c.name) !== 'code' ||
                        ((_e = (_d = domNode === null || domNode === void 0 ? void 0 : domNode.children[0]) === null || _d === void 0 ? void 0 : _d.children) === null || _e === void 0 ? void 0 : _e.length) !== 1 ||
                        ((_g = (_f = domNode === null || domNode === void 0 ? void 0 : domNode.children[0]) === null || _f === void 0 ? void 0 : _f.children[0]) === null || _g === void 0 ? void 0 : _g.type) !== 'text')
                        return null;
                    if ((_j = (_h = domNode === null || domNode === void 0 ? void 0 : domNode.children[0]) === null || _h === void 0 ? void 0 : _h.attribs) === null || _j === void 0 ? void 0 : _j.class) {
                        codeLanguage = (_l = (_k = domNode === null || domNode === void 0 ? void 0 : domNode.children[0]) === null || _k === void 0 ? void 0 : _k.attribs) === null || _l === void 0 ? void 0 : _l.class.replace('language-', '');
                    }
                    const content = (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children[0].children);
                    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, clsx_1.default)('code-wrapper relative', embedAlignmentClass), children: [(0, jsx_runtime_1.jsx)(CodeCopyButton_1.CodeCopyButton, { content: content }, void 0), typeof window !== 'undefined' ? ((0, jsx_runtime_1.jsx)(react_1.Suspense, { fallback: (0, jsx_runtime_1.jsx)("pre", { children: (0, jsx_runtime_1.jsx)("code", { children: content }, void 0) }, void 0), children: (0, jsx_runtime_1.jsx)(SyntaxHighlighter, { language: codeLanguage, style: atom_one_dark_reasonable_1.default, children: content }, void 0) }, void 0)) : ((0, jsx_runtime_1.jsx)("pre", { children: (0, jsx_runtime_1.jsx)("code", { children: content }, void 0) }, void 0))] }, void 0));
                }
                case 'h3':
                    return ((0, jsx_runtime_1.jsx)("h2", { className: "text-lg", children: (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                case 'ol':
                    return ((0, jsx_runtime_1.jsx)("ol", { start: (_m = domNode === null || domNode === void 0 ? void 0 : domNode.attribs) === null || _m === void 0 ? void 0 : _m.start, className: "list-decimal list-inside pl-6", children: (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                case 'ul':
                    return ((0, jsx_runtime_1.jsx)("ul", { className: "list-disc list-inside pl-6", children: (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                case 'div':
                    if (domNode.type === 'tag' &&
                        ((_o = domNode.attribs) === null || _o === void 0 ? void 0 : _o['data-type']) === _types_1.ComposerModuleName.Embed) {
                        if (!embeds) {
                            return null;
                        }
                        // Fetch the corresponding embed id
                        const embedId = domNode.attribs['data-id'];
                        const embed = embeds.find(embed => embed.id === embedId);
                        const embedRendered = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", { className: "preview relative w-full", children: (0, jsx_runtime_1.jsx)("figure", { dangerouslySetInnerHTML: { __html: embed.html } }, void 0) }, void 0), (0, jsx_runtime_1.jsx)(react_helmet_1.Helmet, { children: (0, jsx_runtime_1.jsx)("script", { src: "//cdn.iframe.ly/embed.js", async: true }, void 0) }, void 0)] }, void 0));
                        if ((embed === null || embed === void 0 ? void 0 : embed.type) === 'video')
                            return ((0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)(embedAlignmentClass), children: embedRendered }, void 0));
                        return embedRendered;
                    }
                    break;
                case 'a':
                    if (((_p = domNode.attribs) === null || _p === void 0 ? void 0 : _p['data-type']) === _types_1.ComposerModuleName.Mention) {
                        const mentionId = domNode.attribs['data-id'];
                        const mentionFromDb = (_q = mentions === null || mentions === void 0 ? void 0 : mentions.find) === null || _q === void 0 ? void 0 : _q.call(mentions, mention => mention.id === mentionId);
                        return ((0, jsx_runtime_1.jsx)(Link_1.Link, { as: react_router_dom_1.Link, to: generateMemberPath({ id: mentionId }), children: (mentionFromDb === null || mentionFromDb === void 0 ? void 0 : mentionFromDb.name)
                                ? `@${mentionFromDb.name}`
                                : (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                    }
                    return ((0, jsx_runtime_1.jsx)(Link_1.Link, { target: "_blank", rel: "noopener noreferrer", href: (_r = domNode === null || domNode === void 0 ? void 0 : domNode.attribs) === null || _r === void 0 ? void 0 : _r.href, children: (0, html_react_parser_1.domToReact)(domNode === null || domNode === void 0 ? void 0 : domNode.children, options) }, void 0));
                default:
                    // If null is returned parser will render the html variant.
                    return null;
            }
            return null;
        },
    };
    const Component = (0, html_react_parser_1.default)(value, options);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [Component, (slides === null || slides === void 0 ? void 0 : slides.length) > 0 && ((0, jsx_runtime_1.jsx)(MediaModal_1.MediaModal, { slides: slides, isVisible: mediaModalVisibility, onClose: handleModalClose, activeMediaIndex: activeMediaIndex }, void 0))] }, void 0));
};
exports.HtmlContent = HtmlContent;
//# sourceMappingURL=HtmlContent.js.map