"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderImg = exports.renderAudio = exports.renderVideo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const clsx_1 = __importDefault(require("clsx"));
const lazy_1 = __importDefault(require("react-player/lazy"));
const _types_1 = require("./@types");
const renderVideo = (domNode, { className }) => ((0, jsx_runtime_1.jsx)("figure", { children: (0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)('aspect-video', className), children: (0, jsx_runtime_1.jsx)(lazy_1.default, { width: "100%", height: "100%", controls: true, url: domNode.attribs.src }, void 0) }, void 0) }, void 0));
exports.renderVideo = renderVideo;
const renderAudio = (domNode) => ((0, jsx_runtime_1.jsx)("figure", { children: (0, jsx_runtime_1.jsx)("div", { className: "h-16", children: (0, jsx_runtime_1.jsx)(lazy_1.default, { config: { file: { forceAudio: true } }, width: "100%", height: "100%", controls: true, url: domNode.attribs.src }, void 0) }, void 0) }, void 0));
exports.renderAudio = renderAudio;
const renderImg = (domNode, { mediaIndex, className, onClick }) => {
    var _a;
    const app = (_a = domNode === null || domNode === void 0 ? void 0 : domNode.attribs) === null || _a === void 0 ? void 0 : _a['data-app'];
    const isGiphy = app === _types_1.AppsEnum.Giphy;
    return ((0, jsx_runtime_1.jsx)("figure", { children: (0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)('flex items-center mt-5 ignore-typography', !isGiphy && `justify-center bg-surface-100 ${className}`), "data-index": mediaIndex, onClick: onClick, children: (0, jsx_runtime_1.jsx)("img", { src: domNode.attribs.src, className: (0, clsx_1.default)('cursor-pointer', isGiphy ? 'max-h-48' : 'max-h-120'), alt: "" }, void 0) }, void 0) }, void 0));
};
exports.renderImg = renderImg;
//# sourceMappingURL=renderers.js.map