"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaPreview = exports.PREVIEW_SUPPORTED_EXTENSION = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const clsx_1 = __importDefault(require("clsx"));
const react_ui_kit_1 = require("@tribeplatform/react-ui-kit");
exports.PREVIEW_SUPPORTED_EXTENSION = [
    'jpg',
    'jpeg',
    'png',
    'jiff',
    'gif',
    'pdf',
    'svg',
    'mp4',
    'ogg',
    'mp3',
    'wav',
];
const containerHeight = 'calc(100vh - 170px)';
const MediaPreview = ({ media, isActive, }) => {
    var _a, _b;
    const { name, url } = media;
    const extension = (_b = (_a = media) === null || _a === void 0 ? void 0 : _a.extension) === null || _b === void 0 ? void 0 : _b.toLowerCase();
    if (extension && !exports.PREVIEW_SUPPORTED_EXTENSION.includes(extension))
        return ((0, jsx_runtime_1.jsx)("div", { className: "flex h-full w-full items-center justify-center", children: (0, jsx_runtime_1.jsx)("p", { children: "Preview not supported" }, void 0) }, void 0));
    if (extension === 'pdf')
        return ((0, jsx_runtime_1.jsx)("iframe", { className: "rounded-b", title: name, src: url, style: {
                height: containerHeight,
            } }, void 0));
    if (['mp4', 'ogg', 'mp3', 'wav'].indexOf(extension) !== -1) {
        const isAudio = extension !== 'mp4';
        return ((0, jsx_runtime_1.jsx)("div", { className: "flex items-center justify-center", style: {
                height: containerHeight,
            }, children: (0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)('w-full max-h-full flex items-center', !isAudio ? 'aspect-video' : 'h-16'), children: (0, jsx_runtime_1.jsx)(react_ui_kit_1.Player, { controls: true, playing: isActive, config: { file: { forceAudio: isAudio } }, muted: !isAudio, width: "100%", height: isAudio ? '50px' : '100%', style: {
                        display: 'flex',
                        width: '100%',
                    }, url: url }, void 0) }, void 0) }, void 0));
    }
    return ((0, jsx_runtime_1.jsx)("div", { className: "flex items-center justify-center", style: {
            height: containerHeight,
        }, children: (0, jsx_runtime_1.jsx)("img", { src: url, className: "object-contain max-h-full", alt: name, loading: "lazy" }, void 0) }, void 0));
};
exports.MediaPreview = MediaPreview;
//# sourceMappingURL=MediaPreview.js.map