"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberPicker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Avatar_1 = require("@tribeplatform/react-ui-kit/Avatar");
const Multiselect_1 = require("@tribeplatform/react-ui-kit/Multiselect");
const SearchableSelect_1 = require("@tribeplatform/react-ui-kit/SearchableSelect");
const hooks_1 = require("../../hooks");
const utils_1 = require("../../utils");
const arrays_utils_1 = require("./arrays.utils");
const useDebounce_1 = require("./useDebounce");
const isMultiple = (props) => props.multiple === true;
const MemberPicker = props => {
    var _a, _b;
    const { placeholder, variables } = props;
    const [search, setSearch] = (0, react_1.useState)('');
    const debouncedQuery = (0, useDebounce_1.useDebounce)(search, 300);
    const { data, isLoading } = (0, hooks_1.useMembers)({
        fields: { profilePicture: 'basic' },
        variables: {
            query: debouncedQuery,
            limit: 20,
            ...variables,
        },
    });
    const members = (0, react_1.useMemo)(() => { var _a; return ((_a = (0, utils_1.simplifyPaginatedResult)(data)) === null || _a === void 0 ? void 0 : _a.nodes) || []; }, [data]);
    if (isMultiple(props)) {
        const { value, onChange } = props;
        const suggestedMembers = (0, arrays_utils_1.pickIfExists)(members, value, 'id');
        return ((0, jsx_runtime_1.jsxs)(Multiselect_1.Multiselect, { value: value, options: suggestedMembers, onChange: onChange, searchable: true, onInputChange: setSearch, children: [(0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.Button, { placeholder: placeholder, children: value.map((member, index) => {
                        var _a, _b;
                        return ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.SelectedItem, { value: member, index: index, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(Avatar_1.Avatar, { size: "xs", src: (_b = (_a = member === null || member === void 0 ? void 0 : member.profilePicture) === null || _a === void 0 ? void 0 : _a.urls) === null || _b === void 0 ? void 0 : _b.thumb, name: member === null || member === void 0 ? void 0 : member.name }, void 0), (0, jsx_runtime_1.jsx)("span", { children: member === null || member === void 0 ? void 0 : member.name }, void 0)] }, void 0) }, member.id));
                    }) }, void 0), (0, jsx_runtime_1.jsxs)(Multiselect_1.Multiselect.Items, { children: [suggestedMembers.map((member, index) => {
                            var _a, _b;
                            return ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.Item, { value: member, index: index, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(Avatar_1.Avatar, { size: "xs", src: (_b = (_a = member === null || member === void 0 ? void 0 : member.profilePicture) === null || _a === void 0 ? void 0 : _a.urls) === null || _b === void 0 ? void 0 : _b.thumb, name: member === null || member === void 0 ? void 0 : member.name }, void 0), (0, jsx_runtime_1.jsx)("span", { children: member === null || member === void 0 ? void 0 : member.name }, void 0)] }, void 0) }, member.id));
                        }), isLoading && ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.ItemsEmpty, { children: "Loading..." }, void 0)), !isLoading && search && suggestedMembers.length === 0 && ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.ItemsEmpty, { children: "No results" }, void 0))] }, void 0)] }, void 0));
    }
    const { value, onChange } = props;
    const suggestedMembers = value
        ? (0, arrays_utils_1.pickIfExists)(members, [value], 'id')
        : members;
    return ((0, jsx_runtime_1.jsxs)(SearchableSelect_1.SearchableSelect, { value: value, options: suggestedMembers, onChange: onChange, onInputChange: setSearch, children: [(0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.Button, { placeholder: placeholder, children: value && ((0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(Avatar_1.Avatar, { size: "xs", src: (_b = (_a = value === null || value === void 0 ? void 0 : value.profilePicture) === null || _a === void 0 ? void 0 : _a.urls) === null || _b === void 0 ? void 0 : _b.thumb, name: value === null || value === void 0 ? void 0 : value.name }, void 0), (0, jsx_runtime_1.jsx)("span", { children: value.name }, void 0)] }, void 0)) }, void 0), (0, jsx_runtime_1.jsxs)(SearchableSelect_1.SearchableSelect.Items, { children: [suggestedMembers.map(member => {
                        var _a, _b;
                        return ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.Item, { value: member.id, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(Avatar_1.Avatar, { size: "xs", src: (_b = (_a = member === null || member === void 0 ? void 0 : member.profilePicture) === null || _a === void 0 ? void 0 : _a.urls) === null || _b === void 0 ? void 0 : _b.thumb, name: member === null || member === void 0 ? void 0 : member.name }, void 0), (0, jsx_runtime_1.jsx)("span", { children: member === null || member === void 0 ? void 0 : member.name }, void 0)] }, void 0) }, member.id));
                    }), isLoading && ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.ItemsEmpty, { children: "Loading..." }, void 0)), !isLoading && search && suggestedMembers.length === 0 && ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.ItemsEmpty, { children: "No results" }, void 0))] }, void 0)] }, void 0));
};
exports.MemberPicker = MemberPicker;
//# sourceMappingURL=MemberPicker.js.map