"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpaceImage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const clsx_1 = __importDefault(require("clsx"));
const emoji_mart_virtualized_1 = require("emoji-mart-virtualized");
const SpaceImage = ({ space, size = 'md' }) => {
    var _a, _b, _c, _d, _e, _f;
    const sizeClsx = [
        size === 'xs' && 'h-6 w-6',
        size === 'sm' && 'h-6 w-6',
        size === 'md' && 'h-24 w-24',
        size === 'lg' && 'h-24 w-24',
    ];
    const emojiSize = {
        xs: 16,
        sm: 24,
        md: 64,
        lg: 96,
    };
    return ((_a = space === null || space === void 0 ? void 0 : space.image) === null || _a === void 0 ? void 0 : _a.url) ? ((0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)('flex items-center justify-center', sizeClsx), children: (0, jsx_runtime_1.jsx)("img", { alt: space.name, className: (0, clsx_1.default)('text-basicSurface-400 group-hover:text-basicSurface-500 object-scale-down', 'flex-shrink-0 rounded-md', sizeClsx, size === 'lg' ? 'bg-surface-50 rounded-md p-1' : ''), "aria-hidden": "true", src: size === 'lg' || size === 'md'
                ? (_c = (_b = space === null || space === void 0 ? void 0 : space.image) === null || _b === void 0 ? void 0 : _b.urls) === null || _c === void 0 ? void 0 : _c.small
                : (_e = (_d = space === null || space === void 0 ? void 0 : space.image) === null || _d === void 0 ? void 0 : _d.urls) === null || _e === void 0 ? void 0 : _e.thumb }, void 0) }, void 0)) : ((0, jsx_runtime_1.jsx)("div", { className: (0, clsx_1.default)('text-basicSurface-400 group-hover:text-basicSurface-500', 'flex items-center justify-center', sizeClsx), children: (0, jsx_runtime_1.jsx)(emoji_mart_virtualized_1.Emoji, { native: true, emoji: `:${(_f = space === null || space === void 0 ? void 0 : space.image) === null || _f === void 0 ? void 0 : _f.text}:`, size: emojiSize[size] }, void 0) }, void 0));
};
exports.SpaceImage = SpaceImage;
//# sourceMappingURL=SpaceImage.js.map