"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpacePicker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const types_1 = require("@tribeplatform/gql-client/types");
const Multiselect_1 = require("@tribeplatform/react-ui-kit/Multiselect");
const SearchableSelect_1 = require("@tribeplatform/react-ui-kit/SearchableSelect");
const hooks_1 = require("../../hooks");
const utils_1 = require("../../utils");
const arrays_utils_1 = require("./arrays.utils");
const SpaceImage_1 = require("./SpaceImage");
const useDebounce_1 = require("./useDebounce");
const isMultiple = (props) => props.multiple === true;
const SpacePicker = props => {
    const { placeholder, variables } = props;
    const [search, setSearch] = (0, react_1.useState)('');
    const debouncedQuery = (0, useDebounce_1.useDebounce)(search, 300);
    const { data, isLoading } = (0, hooks_1.useSpaces)({
        fields: { image: 'basic' },
        variables: {
            query: debouncedQuery,
            limit: 20,
            type: [types_1.SpaceType.Group],
            ...variables,
        },
    });
    const spaces = (0, react_1.useMemo)(() => { var _a; return ((_a = (0, utils_1.simplifyPaginatedResult)(data)) === null || _a === void 0 ? void 0 : _a.nodes) || []; }, [data]);
    if (isMultiple(props)) {
        const { value, onChange } = props;
        const suggestedSpaces = (0, arrays_utils_1.pickIfExists)(spaces, value, 'id');
        return ((0, jsx_runtime_1.jsxs)(Multiselect_1.Multiselect, { value: value || [], options: suggestedSpaces, onChange: onChange, searchable: true, onInputChange: setSearch, children: [(0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.Button, { placeholder: placeholder, children: value === null || value === void 0 ? void 0 : value.map((space, index) => ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.SelectedItem, { value: space, index: index, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(SpaceImage_1.SpaceImage, { size: "xs", space: space }, void 0), (0, jsx_runtime_1.jsx)("span", { children: space === null || space === void 0 ? void 0 : space.name }, void 0)] }, void 0) }, space.id))) }, void 0), (0, jsx_runtime_1.jsxs)(Multiselect_1.Multiselect.Items, { children: [suggestedSpaces.map((space, index) => ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.Item, { value: space, index: index, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(SpaceImage_1.SpaceImage, { size: "xs", space: space }, void 0), (0, jsx_runtime_1.jsx)("span", { children: space === null || space === void 0 ? void 0 : space.name }, void 0)] }, void 0) }, space.id))), isLoading && ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.ItemsEmpty, { children: "Loading..." }, void 0)), !isLoading && search && suggestedSpaces.length === 0 && ((0, jsx_runtime_1.jsx)(Multiselect_1.Multiselect.ItemsEmpty, { children: "No results" }, void 0))] }, void 0)] }, void 0));
    }
    const { value, onChange } = props;
    const suggestedSpaces = value
        ? (0, arrays_utils_1.pickIfExists)(spaces, [value], 'id')
        : spaces;
    return ((0, jsx_runtime_1.jsxs)(SearchableSelect_1.SearchableSelect, { value: value, options: suggestedSpaces, onChange: onChange, onInputChange: setSearch, children: [(0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.Button, { placeholder: placeholder, children: value && ((0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(SpaceImage_1.SpaceImage, { size: "xs", space: value }, void 0), (0, jsx_runtime_1.jsx)("span", { children: value === null || value === void 0 ? void 0 : value.name }, void 0)] }, void 0)) }, void 0), (0, jsx_runtime_1.jsxs)(SearchableSelect_1.SearchableSelect.Items, { children: [suggestedSpaces.map(space => ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.Item, { value: space.id, children: (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center space-x-2", children: [(0, jsx_runtime_1.jsx)(SpaceImage_1.SpaceImage, { size: "xs", space: space }, void 0), (0, jsx_runtime_1.jsx)("span", { children: space === null || space === void 0 ? void 0 : space.name }, void 0)] }, void 0) }, space.id))), isLoading && ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.ItemsEmpty, { children: "Loading..." }, void 0)), !isLoading && search && suggestedSpaces.length === 0 && ((0, jsx_runtime_1.jsx)(SearchableSelect_1.SearchableSelect.ItemsEmpty, { children: "No results" }, void 0))] }, void 0)] }, void 0));
};
exports.SpacePicker = SpacePicker;
//# sourceMappingURL=SpacePicker.js.map