"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApp = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useApp = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const appKey = (0, keys_1.getAppKey)({ variables, fields });
    const cachedApp = (0, cache_1.useCachedApp)(variables);
    return (0, lib_1.useQuery)(appKey, () => client.app.get(variables, fields), {
        placeholderData: cachedApp,
        ...useQueryOptions,
    });
};
exports.useApp = useApp;
//# sourceMappingURL=useApp.js.map