"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateAppNetworkSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateAppNetworkSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.app.updateNetworkSettings(input), {
        onMutate: variables => {
            const appInstallationsKey = (0, keys_1.getAppNetworkSettingsKey)({
                variables: {
                    appId: variables.appId,
                },
            });
            queryClient.setQueriesData(appInstallationsKey, () => variables.settings);
        },
        onSettled: () => {
            const appInstallationsKey = (0, keys_1.getAppNetworkSettingsKey)();
            queryClient.invalidateQueries(appInstallationsKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateAppNetworkSettings = useUpdateAppNetworkSettings;
//# sourceMappingURL=useUpdateAppNetworkSettings.js.map