"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAuthMember = void 0;
const types_1 = require("@tribeplatform/gql-client/types");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useAuthMember = (options) => {
    var _a, _b, _c, _d, _e;
    const { useQueryOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const authMemberKey = (0, keys_1.getAuthMemberKey)({ fields });
    const query = (0, lib_1.useQuery)(authMemberKey, () => client.auth.authMember(fields), {
        placeholderData: (0, cache_1.useCachedAuthMember)(),
        ...useQueryOptions,
    });
    const member = query === null || query === void 0 ? void 0 : query.data;
    const isAdmin = ((_a = member === null || member === void 0 ? void 0 : member.role) === null || _a === void 0 ? void 0 : _a.type) === types_1.RoleType.admin;
    const isModerator = ((_b = member === null || member === void 0 ? void 0 : member.role) === null || _b === void 0 ? void 0 : _b.type) === types_1.RoleType.moderator ||
        ((_c = member === null || member === void 0 ? void 0 : member.role) === null || _c === void 0 ? void 0 : _c.type) === types_1.RoleType.admin;
    const isGuest = !member || !((_d = member === null || member === void 0 ? void 0 : member.role) === null || _d === void 0 ? void 0 : _d.type) || ((_e = member === null || member === void 0 ? void 0 : member.role) === null || _e === void 0 ? void 0 : _e.type) === types_1.RoleType.guest;
    return {
        isAdmin,
        isGuest,
        isModerator,
        ...query,
    };
};
exports.useAuthMember = useAuthMember;
//# sourceMappingURL=useAuthMember.js.map