"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAuthMemberSessions = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAuthMemberSessions = (options) => {
    const { useQueryOptions, fields = { activeSession: 'basic', sessions: 'basic' }, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const authMemberSessionsKey = (0, keys_1.getAuthMemberSessionsKey)({ fields });
    return (0, lib_1.useQuery)(authMemberSessionsKey, () => client.auth.authMember(fields), {
        ...useQueryOptions,
    });
};
exports.useAuthMemberSessions = useAuthMemberSessions;
//# sourceMappingURL=useAuthMemberSessions.js.map