"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAuthToken = void 0;
const hooks_1 = require("@tribeplatform/react-sdk/hooks");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAuthToken = (options) => {
    const { useQueryOptions, fields = 'default' } = options || {};
    const { client, config, onTokenUpdate } = (0, useTribeClient_1.useTribeClient)();
    const authTokenKey = (0, keys_1.getAuthTokenKey)({ fields });
    const { networkDomain } = config || {};
    return (0, lib_1.useQuery)(authTokenKey, () => client.getTokens({ networkDomain }, fields), {
        placeholderData: (0, hooks_1.useCachedAuthToken)(),
        onSuccess: data => {
            client.setToken(data.accessToken);
            if (typeof onTokenUpdate === 'function') {
                onTokenUpdate(data);
            }
            if (typeof (useQueryOptions === null || useQueryOptions === void 0 ? void 0 : useQueryOptions.onSuccess) === 'function') {
                useQueryOptions.onSuccess(data);
            }
        },
        ...useQueryOptions,
    });
};
exports.useAuthToken = useAuthToken;
//# sourceMappingURL=useAuthToken.js.map