"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInviteMembers = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useInviteMembers = (options) => {
    const { useMutationOptions, fields = 'basic' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.invitations.invite(input, fields), {
        onSettled: () => {
            const memberInvitationsKey = (0, keys_1.getMemberInvitationsKey)();
            queryClient.invalidateQueries(memberInvitationsKey);
        },
        ...useMutationOptions,
    });
};
exports.useInviteMembers = useInviteMembers;
//# sourceMappingURL=useInviteMembers.js.map