"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoginWithSso = void 0;
const react_1 = require("react");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useLoginWithSso = (options) => {
    const { useQueryOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const [isLoading, setLoading] = (0, react_1.useState)(false);
    const login = (0, react_1.useCallback)(async (variables) => {
        const loginWithSsoKey = (0, keys_1.getLoginWithSsoKey)({ variables });
        setLoading(true);
        const data = await queryClient.fetchQuery(loginWithSsoKey, () => client === null || client === void 0 ? void 0 : client.auth.ssoUrl(variables), useQueryOptions);
        setLoading(false);
        return data;
    }, [client === null || client === void 0 ? void 0 : client.auth, queryClient, useQueryOptions]);
    return {
        login,
        isLoading,
    };
};
exports.useLoginWithSso = useLoginWithSso;
//# sourceMappingURL=useLoginWithSso.js.map