"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogout = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useLogout = (options) => {
    const { useMutationOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.auth.logout(input), {
        onMutate: variables => {
            const authMemberSessionKey = (0, keys_1.getAuthMemberSessionsKey)();
            queryClient.setQueriesData(authMemberSessionKey, old => ({
                ...old,
                sessions: old.sessions.filter(session => session.id !== variables.input.sessionId),
            }));
        },
        onSettled: () => {
            const authMemberKey = (0, keys_1.getAuthMemberKey)();
            queryClient.invalidateQueries(authMemberKey);
            const authMemberSessionKey = (0, keys_1.getAuthMemberSessionsKey)();
            queryClient.invalidateQueries(authMemberSessionKey);
        },
        ...useMutationOptions,
    });
};
exports.useLogout = useLogout;
//# sourceMappingURL=useLogout.js.map