"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateCustomSso = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateCustomSso = (options) => {
    const { useMutationOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.auth.updateCustomSso(input), {
        onSettled: () => {
            const ssosKey = (0, keys_1.getSsosKey)();
            queryClient.invalidateQueries(ssosKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateCustomSso = useUpdateCustomSso;
//# sourceMappingURL=useUpdateCustomSso.js.map