"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateDefaultSsoStatus = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateDefaultSsoStatus = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const ssosKey = (0, keys_1.getSsosKey)();
    return (0, lib_1.useMutation)(input => client.auth.updateDefaultSsoStatus(input), {
        onMutate: variables => {
            queryClient.cancelQueries(ssosKey);
            queryClient.setQueriesData(ssosKey, old => old.map(sso => ({
                ...sso,
                status: sso.type === variables.sso
                    ? variables.status
                    : sso.status,
            })));
        },
        onSettled: () => {
            queryClient.invalidateQueries(ssosKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateDefaultSsoStatus = useUpdateDefaultSsoStatus;
//# sourceMappingURL=useUpdateDefaultSsoStatus.js.map