"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAssignBadge = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAssignBadge = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.badge.assign(input), {
        onSettled: (data, error, variables) => {
            var _a;
            const memberKey = (0, keys_1.getMemberKey)({
                variables: { id: (_a = variables === null || variables === void 0 ? void 0 : variables.input) === null || _a === void 0 ? void 0 : _a.memberId },
            });
            queryClient.invalidateQueries(memberKey);
        },
        ...useMutationOptions,
    });
};
exports.useAssignBadge = useAssignBadge;
//# sourceMappingURL=useAssignBadge.js.map