"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteBadge = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteBadge = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const networkKey = (0, keys_1.getNetworkKey)();
    const authTokenKey = (0, keys_1.getAuthTokenKey)();
    return (0, lib_1.useMutation)(input => client.badge.delete(input), {
        onMutate: () => {
            queryClient.cancelQueries(networkKey);
            queryClient.cancelQueries(authTokenKey);
        },
        onSettled: () => {
            queryClient.invalidateQueries(networkKey);
            queryClient.invalidateQueries(authTokenKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteBadge = useDeleteBadge;
//# sourceMappingURL=useDeleteBadge.js.map