"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateBillingDetails = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateBillingDetails = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.billing.updateDetails(input), {
        onSettled: () => {
            const billingDetailsKey = (0, keys_1.getBillingDetailsKey)();
            queryClient.invalidateQueries(billingDetailsKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateBillingDetails = useUpdateBillingDetails;
//# sourceMappingURL=useUpdateBillingDetails.js.map