"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useValidatePromotionCode = void 0;
const react_1 = require("react");
const useTribeClient_1 = require("../../useTribeClient");
const useValidatePromotionCode = () => {
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const [isInvalid, setIsInvalid] = (0, react_1.useState)();
    const [isLoading, setIsLoading] = (0, react_1.useState)();
    const reset = () => {
        setIsInvalid(false);
    };
    const validate = (variables) => {
        setIsLoading(true);
        return client.billing
            .baskets(variables)
            .then(() => {
            setIsInvalid(false);
            return true;
        })
            .catch(() => {
            setIsInvalid(true);
            return false;
        })
            .finally(() => {
            setIsLoading(false);
        });
    };
    return { isInvalid, isLoading, validate, reset };
};
exports.useValidatePromotionCode = useValidatePromotionCode;
//# sourceMappingURL=useValidatePromotionCode.js.map