"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCachedAuthToken = void 0;
const lodash_1 = require("lodash");
const lib_1 = require("../../lib");
const keys_1 = require("../../utils/keys");
const useCachedAuthToken = () => {
    const queryClient = (0, lib_1.useQueryClient)();
    const queries = queryClient.getQueriesData({
        queryKey: (0, keys_1.getAuthTokenKey)(),
    });
    let authToken;
    queries === null || queries === void 0 ? void 0 : queries.forEach(query => {
        const data = query === null || query === void 0 ? void 0 : query[1];
        if (data) {
            authToken = {
                ...authToken,
                ...data,
            };
        }
    });
    if (!(0, lodash_1.isEmpty)(authToken))
        return authToken;
};
exports.useCachedAuthToken = useCachedAuthToken;
//# sourceMappingURL=useCachedAuthToken.js.map