"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCachedCollection = exports.getCachedCollection = void 0;
const react_1 = require("react");
const lib_1 = require("../../lib");
const keys_1 = require("../../utils/keys");
const getCachedCollection = (id, queryClient) => {
    const collectionsKey = (0, keys_1.getCollectionsKey)();
    let cachedCollection;
    const data = queryClient.getQueriesData(collectionsKey);
    data === null || data === void 0 ? void 0 : data.forEach(([_, queryData]) => {
        queryData === null || queryData === void 0 ? void 0 : queryData.forEach(collection => {
            if ((collection === null || collection === void 0 ? void 0 : collection.id) === id)
                cachedCollection = collection;
        });
    });
    return cachedCollection;
};
exports.getCachedCollection = getCachedCollection;
const useCachedCollection = (id) => {
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, react_1.useMemo)(() => (0, exports.getCachedCollection)(id, queryClient), [id, queryClient]);
};
exports.useCachedCollection = useCachedCollection;
//# sourceMappingURL=useCachedCollection.js.map