"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeFromModerationItems = void 0;
const keys_1 = require("../../utils/keys");
const removeFromModerationItems = (moderationItemId, queryClient) => {
    const moderationItemsKey = (0, keys_1.getModerationItemsKey)();
    queryClient.setQueriesData(moderationItemsKey, old => ({
        ...old,
        pages: old.pages.map(page => ({
            ...page,
            edges: page.edges.filter(edge => edge.node.id !== moderationItemId),
            nodes: page.nodes.filter(node => node.id !== moderationItemId),
        })),
    }));
};
exports.removeFromModerationItems = removeFromModerationItems;
//# sourceMappingURL=useCachedModerationItem.js.map