"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCollection = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useCollection = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const collectionKey = (0, keys_1.getCollectionKey)({ variables, fields });
    const cachedCollection = (0, cache_1.useCachedCollection)(variables === null || variables === void 0 ? void 0 : variables.id);
    return (0, lib_1.useQuery)(collectionKey, () => client.collections.get(variables, fields), {
        placeholderData: cachedCollection,
        ...useQueryOptions,
    });
};
exports.useCollection = useCollection;
//# sourceMappingURL=useCollection.js.map