"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCollections = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCollections = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const collectionsKey = (0, keys_1.getCollectionsKey)({ variables, fields });
    return (0, lib_1.useQuery)(collectionsKey, () => client === null || client === void 0 ? void 0 : client.collections.list({ ...variables }, fields), useQueryOptions);
};
exports.useCollections = useCollections;
//# sourceMappingURL=useCollections.js.map