"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateCollection = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCreateCollection = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const collectionsKey = (0, keys_1.getCollectionsKey)();
    return (0, lib_1.useMutation)((input) => client.collections.create(input, fields), {
        onSuccess: async (_) => {
            queryClient.invalidateQueries(collectionsKey);
        },
        ...useMutationOptions,
    });
};
exports.useCreateCollection = useCreateCollection;
//# sourceMappingURL=useCreateCollection.js.map