"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteCollection = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteCollection = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.collections.delete(input.id), {
        onSettled: (data, error, input) => {
            const collectionKey = (0, keys_1.getCollectionKey)({ variables: input });
            queryClient.removeQueries(collectionKey);
            const collectionsKey = (0, keys_1.getCollectionsKey)();
            queryClient.invalidateQueries(collectionsKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteCollection = useDeleteCollection;
//# sourceMappingURL=useDeleteCollection.js.map