"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useOrganizeSpacesInCollection = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useOrganizeSpacesInCollection = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.collections.organizeSpaces(input), {
        onSettled: (data, error, { collectionId }) => {
            const spacesKey = (0, keys_1.getSpacesKey)({ variables: { collectionId } });
            queryClient.invalidateQueries(spacesKey);
            const collectionKey = (0, keys_1.getCollectionKey)({
                variables: { id: collectionId },
            });
            queryClient.invalidateQueries(collectionKey);
            const collectionsKey = (0, keys_1.getCollectionsKey)();
            queryClient.invalidateQueries(collectionsKey);
        },
        ...useMutationOptions,
    });
};
exports.useOrganizeSpacesInCollection = useOrganizeSpacesInCollection;
//# sourceMappingURL=useOrganizeSpacesInCollection.js.map