"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalRegenerateClientSecret = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalRegenerateClientSecret = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.dev.regenerateClientSecret(input), {
        onSuccess: async (data) => {
            const appKey = (0, keys_1.getAppKey)({ variables: { slug: data.slug } });
            queryClient.setQueryData(appKey, _ => data);
            queryClient.invalidateQueries(appKey);
        },
        ...useMutationOptions,
    });
};
exports.useGlobalRegenerateClientSecret = useGlobalRegenerateClientSecret;
//# sourceMappingURL=useGlobalRegenerateClientSecret.js.map