"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalRemoveAppCollaborator = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalRemoveAppCollaborator = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.dev.removeAppCollaborator(input), {
        onSettled: () => {
            const appCollaboratorsKey = (0, keys_1.getAppCollaboratorsKey)();
            queryClient.invalidateQueries(appCollaboratorsKey);
        },
        ...useMutationOptions,
    });
};
exports.useGlobalRemoveAppCollaborator = useGlobalRemoveAppCollaborator;
//# sourceMappingURL=useGlobalRemoveAppCollaborator.js.map