"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalUnPublishAppPrivately = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalUnPublishAppPrivately = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.dev.unPublishAppPrivately(input), {
        onSettled: (data, error, variables) => {
            const appPublicationsKey = (0, keys_1.getAppPublicationsKey)({
                variables: {
                    appId: variables.appId,
                },
            });
            queryClient.invalidateQueries(appPublicationsKey);
        },
        ...useMutationOptions,
    });
};
exports.useGlobalUnPublishAppPrivately = useGlobalUnPublishAppPrivately;
//# sourceMappingURL=useGlobalUnPublishAppPrivately.js.map