"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalUpdateApp = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalUpdateApp = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const appsKey = (0, keys_1.getAppsKey)();
    return (0, lib_1.useMutation)((input) => client === null || client === void 0 ? void 0 : client.dev.updateApp(input, fields), {
        onSuccess: async (data) => {
            const appKey = (0, keys_1.getAppKey)({ variables: { slug: data.slug } });
            queryClient.setQueryData(appKey, _ => data);
            queryClient.invalidateQueries(appsKey);
            queryClient.invalidateQueries(appKey);
        },
        ...useMutationOptions,
    });
};
exports.useGlobalUpdateApp = useGlobalUpdateApp;
//# sourceMappingURL=useGlobalUpdateApp.js.map