"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEmbed = void 0;
const react_1 = require("react");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useEmbed = (options) => {
    const { variables, useQueryOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const asyncEmbed = (0, react_1.useCallback)(async (variables) => {
        const data = await queryClient.fetchQuery((0, keys_1.getEmbedKey)({ variables }), () => client.media.embed({
            options: JSON.stringify({
                iframe: '1',
                omit_script: '1',
            }),
            ...variables,
        }), useQueryOptions);
        return data;
    }, [queryClient, client, useQueryOptions]);
    return {
        ...(0, lib_1.useQuery)((0, keys_1.getEmbedKey)({ variables }), () => client.media.embed(variables), { ...useQueryOptions, enabled: !!(variables === null || variables === void 0 ? void 0 : variables.url) }),
        asyncQuery: asyncEmbed,
    };
};
exports.useEmbed = useEmbed;
//# sourceMappingURL=useEmbed.js.map