"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateNetworkMediaSettings = void 0;
const hooks_1 = require("@tribeplatform/react-sdk/hooks");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateNetworkMediaSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const networkKey = (0, keys_1.getNetworkKey)();
    const networkSnapshot = (0, hooks_1.useCachedNetwork)();
    return (0, lib_1.useMutation)(variables => client.media.updateNetworkSettings(variables), {
        onMutate: async (newNetworkMediaSettings) => {
            await queryClient.cancelQueries(networkKey);
            const snapshot = networkSnapshot;
            queryClient.setQueriesData(networkKey, old => {
                var _a, _b, _c, _d, _e, _f;
                return {
                    ...old,
                    settings: {
                        ...old === null || old === void 0 ? void 0 : old.settings,
                        fileSizeLimit: (_b = (_a = newNetworkMediaSettings === null || newNetworkMediaSettings === void 0 ? void 0 : newNetworkMediaSettings.input) === null || _a === void 0 ? void 0 : _a.fileSizeLimit) !== null && _b !== void 0 ? _b : (_c = old === null || old === void 0 ? void 0 : old.settings) === null || _c === void 0 ? void 0 : _c.fileSizeLimit,
                        imageSizeLimit: (_e = (_d = newNetworkMediaSettings === null || newNetworkMediaSettings === void 0 ? void 0 : newNetworkMediaSettings.input) === null || _d === void 0 ? void 0 : _d.imageSizeLimit) !== null && _e !== void 0 ? _e : (_f = old === null || old === void 0 ? void 0 : old.settings) === null || _f === void 0 ? void 0 : _f.imageSizeLimit,
                    },
                };
            });
            return { snapshot };
        },
        onError: (err, newNetworkSettings, context) => {
            // revert back the optimistic response
            queryClient.setQueriesData(networkKey, context.snapshot);
        },
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(networkKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateNetworkMediaSettings = useUpdateNetworkMediaSettings;
//# sourceMappingURL=useUpdateNetworkMediaSettings.js.map