"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCancelEmailUpdate = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const authToken_keys_1 = require("../../utils/keys/authToken.keys");
const useCancelEmailUpdate = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.members.cancelEmailUpdate(input), {
        onSettled: () => {
            queryClient.invalidateQueries((0, keys_1.getMembersKey)());
            queryClient.invalidateQueries((0, keys_1.getAuthTokenKey)());
            queryClient.invalidateQueries((0, authToken_keys_1.getAuthMemberKey)());
        },
        ...useMutationOptions,
    });
};
exports.useCancelEmailUpdate = useCancelEmailUpdate;
//# sourceMappingURL=useCancelEmailUpdate.js.map