"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteMember = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteMember = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.members.delete(input), {
        onSettled: (data, error, input) => {
            const memberKey = (0, keys_1.getMemberKey)({ variables: { id: input.id } });
            queryClient.removeQueries(memberKey);
            const membersKey = (0, keys_1.getMembersKey)();
            queryClient.invalidateQueries(membersKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteMember = useDeleteMember;
//# sourceMappingURL=useDeleteMember.js.map