"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMember = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useMember = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberKey = (0, keys_1.getMemberKey)({ variables, fields });
    const memberPlaceHolder = (0, cache_1.useCachedMember)(variables === null || variables === void 0 ? void 0 : variables.id);
    return (0, lib_1.useQuery)(memberKey, () => client.members.get(variables, fields), {
        placeholderData: () => memberPlaceHolder,
        ...useQueryOptions,
    });
};
exports.useMember = useMember;
//# sourceMappingURL=useMember.js.map