"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceMembers = exports.useMembers = exports.DefaultMembersStatus = exports.DefaultMembersLimit = void 0;
const types_1 = require("@tribeplatform/gql-client/types");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
exports.DefaultMembersLimit = 10;
exports.DefaultMembersStatus = [
    types_1.MemberStatusInput.VERIFIED,
    types_1.MemberStatusInput.UNVERIFIED,
];
const useMembers = (options) => {
    const { variables = {
        limit: exports.DefaultMembersLimit,
        status: exports.DefaultMembersStatus,
    }, fields = 'basic', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const membersKey = (0, keys_1.getMembersKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(membersKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.members.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useMembers = useMembers;
const useSpaceMembers = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const spacesKey = (0, keys_1.getSpaceMembersKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(spacesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.spaceMembers.listMembers({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useSpaceMembers = useSpaceMembers;
//# sourceMappingURL=useMembers.js.map