"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModerationItem = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useModerationItem = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const moderationItemKey = (0, keys_1.getModerationItemKey)({ variables, fields });
    return (0, lib_1.useQuery)(moderationItemKey, () => client.moderation.getItem(variables, fields), useQueryOptions);
};
exports.useModerationItem = useModerationItem;
//# sourceMappingURL=useModerationItem.js.map