"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModerationItemReporters = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useModerationItemReporters = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const moderationItemReportersKey = (0, keys_1.getModerationItemReportersKey)({
        variables,
        fields,
    });
    return (0, lib_1.useInfiniteQuery)(moderationItemReportersKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.moderation.getItemReporters({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useModerationItemReporters = useModerationItemReporters;
//# sourceMappingURL=useModerationItemReporters.js.map