"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModerationItems = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useModerationItems = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const moderationItemsKey = (0, keys_1.getModerationItemsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(moderationItemsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.moderation.getItems({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useModerationItems = useModerationItems;
//# sourceMappingURL=useModerationItems.js.map