"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateModerationItem = void 0;
const types_1 = require("@tribeplatform/gql-client/types");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useUpdateModerationItem = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const moderationItemsKey = (0, keys_1.getModerationItemsKey)();
    return (0, lib_1.useMutation)(variables => client.moderation.updateItem(variables), {
        onMutate: variables => {
            var _a, _b;
            queryClient.cancelQueries(moderationItemsKey);
            if (((_a = variables === null || variables === void 0 ? void 0 : variables.input) === null || _a === void 0 ? void 0 : _a.status) === types_1.ModerationStatus.REJECTED ||
                ((_b = variables === null || variables === void 0 ? void 0 : variables.input) === null || _b === void 0 ? void 0 : _b.status) === types_1.ModerationStatus.ACCEPTED) {
                (0, cache_1.removeFromModerationItems)(variables.id, queryClient);
            }
        },
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(moderationItemsKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateModerationItem = useUpdateModerationItem;
//# sourceMappingURL=useUpdateModerationItem.js.map