"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteMemberSchemaField = void 0;
const lib_1 = require("@tribeplatform/react-sdk/lib");
const lib_2 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const authToken_keys_1 = require("../../utils/keys/authToken.keys");
const network_key_1 = require("../../utils/keys/network.key");
const useDeleteMemberSchemaField = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const networkKey = (0, network_key_1.getNetworkKey)();
    const authTokenKey = (0, authToken_keys_1.getAuthTokenKey)();
    return (0, lib_2.useMutation)(input => client.network.deleteMemberSchemaField(input, fields), {
        onMutate: variables => {
            queryClient.setQueriesData(authTokenKey, old => {
                var _a, _b, _c;
                return ({
                    ...old,
                    network: {
                        ...old === null || old === void 0 ? void 0 : old.network,
                        memberFields: {
                            fields: (_c = (_b = (_a = old === null || old === void 0 ? void 0 : old.network) === null || _a === void 0 ? void 0 : _a.memberFields) === null || _b === void 0 ? void 0 : _b.fields) === null || _c === void 0 ? void 0 : _c.filter(field => field.key !== variables.key),
                        },
                    },
                });
            });
            queryClient.setQueriesData(networkKey, old => {
                var _a, _b;
                return ({
                    ...old,
                    memberFields: {
                        fields: (_b = (_a = old === null || old === void 0 ? void 0 : old.memberFields) === null || _a === void 0 ? void 0 : _a.fields) === null || _b === void 0 ? void 0 : _b.filter(field => field.key !== variables.key),
                    },
                });
            });
        },
        onSettled: () => {
            queryClient.invalidateQueries(networkKey);
            queryClient.invalidateQueries(authTokenKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteMemberSchemaField = useDeleteMemberSchemaField;
//# sourceMappingURL=useDeleteMemberSchemaField.js.map