"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDomainAvailability = void 0;
const react_1 = require("react");
const useTribeClient_1 = require("../../useTribeClient");
const useDomainAvailability = () => {
    const [isLoading, setIsLoading] = (0, react_1.useState)(false);
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const checkDomainAvailability = async (domain) => {
        setIsLoading(true);
        const data = await client.network.domainAvailability({ input: { domain } });
        setIsLoading(false);
        return data;
    };
    return { checkDomainAvailability, isLoading };
};
exports.useDomainAvailability = useDomainAvailability;
//# sourceMappingURL=useDomainAvailability.js.map