"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNetwork = void 0;
const hooks_1 = require("@tribeplatform/react-sdk/hooks");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useNetwork = (options) => {
    const { useQueryOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const networkKey = (0, keys_1.getNetworkKey)({ fields });
    return (0, lib_1.useQuery)(networkKey, () => client.network.get(fields), {
        placeholderData: (0, hooks_1.useCachedNetwork)(),
        ...useQueryOptions,
    });
};
exports.useNetwork = useNetwork;
//# sourceMappingURL=useNetwork.js.map