"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateMemberSchemaField = void 0;
const lib_1 = require("@tribeplatform/react-sdk/lib");
const lib_2 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const authToken_keys_1 = require("../../utils/keys/authToken.keys");
const network_key_1 = require("../../utils/keys/network.key");
const useUpdateMemberSchemaField = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const networkKey = (0, network_key_1.getNetworkKey)();
    const authTokenKey = (0, authToken_keys_1.getAuthTokenKey)();
    return (0, lib_2.useMutation)(input => client.network.updateMemberSchemaField(input, fields), {
        ...useMutationOptions,
        ...{
            onSettled: () => {
                queryClient.invalidateQueries(networkKey);
                queryClient.invalidateQueries(authTokenKey);
            },
        },
    });
};
exports.useUpdateMemberSchemaField = useUpdateMemberSchemaField;
//# sourceMappingURL=useUpdateMemberSchemaField.js.map