"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateNewDomain = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const network_key_1 = require("../../utils/keys/network.key");
const useUpdateNewDomain = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.network.updateNewDomain(input), {
        onMutate: variables => {
            const authTokenKey = (0, keys_1.getAuthTokenKey)();
            queryClient.setQueriesData(authTokenKey, old => ({
                ...old,
                network: {
                    ...old.network,
                    newDomain: variables.input.domain,
                },
            }));
        },
        onSettled: () => {
            const authTokenKey = (0, keys_1.getAuthTokenKey)();
            const networkKey = (0, network_key_1.getNetworkKey)();
            queryClient.invalidateQueries(authTokenKey);
            queryClient.invalidateQueries(networkKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateNewDomain = useUpdateNewDomain;
//# sourceMappingURL=useUpdateNewDomain.js.map