"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useClearNotificationsCount = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useClearNotificationsCount = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(() => client.notifications.clearNotificationsCount(), {
        onMutate: () => {
            const notificationsCountKey = (0, keys_1.getNotificationsCountKey)();
            queryClient.setQueriesData(notificationsCountKey, () => 0);
        },
        onSettled: () => {
            const notificationsCountKey = (0, keys_1.getNotificationsCountKey)();
            queryClient.invalidateQueries(notificationsCountKey);
        },
        ...useMutationOptions,
    });
};
exports.useClearNotificationsCount = useClearNotificationsCount;
//# sourceMappingURL=useClearNotificationsCount.js.map