"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteNotifications = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteNotifications = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.notifications.deleteNotifications(input), {
        onSettled: () => {
            const notificationKey = (0, keys_1.getNotificationsKey)();
            queryClient.invalidateQueries(notificationKey);
            const notificationsCountKey = (0, keys_1.getNotificationsCountKey)();
            queryClient.invalidateQueries(notificationsCountKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteNotifications = useDeleteNotifications;
//# sourceMappingURL=useDeleteNotifications.js.map