"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotifications = exports.DefaultNotificationLimit = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
exports.DefaultNotificationLimit = 10;
const useNotifications = (options) => {
    const { variables = { limit: exports.DefaultNotificationLimit }, fields = {
        target: { media: 'basic' },
        space: 'basic',
        actor: { media: 'basic' },
        object: {
            media: 'basic',
        },
    }, useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const notificationsKey = (0, keys_1.getNotificationsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(notificationsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.notifications.list({
        after,
        ...variables,
    }, fields), useInfiniteQueryOptions);
};
exports.useNotifications = useNotifications;
//# sourceMappingURL=useNotifications.js.map