"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateDefaultSpaceNotificationSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateDefaultSpaceNotificationSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const spaceDefaultNotificationSettingsKey = (0, keys_1.getSpaceDefaultNotificationSettingsKey)();
    return (0, lib_1.useMutation)(variables => client.notifications.updateSpaceDefaultNotificationSettings(variables), {
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(spaceDefaultNotificationSettingsKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateDefaultSpaceNotificationSettings = useUpdateDefaultSpaceNotificationSettings;
//# sourceMappingURL=useUpdateDefaultSpaceNotificationSettings.js.map