"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateNetworkNotificationSettings = void 0;
const hooks_1 = require("@tribeplatform/react-sdk/hooks");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateNetworkNotificationSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const networkKey = (0, keys_1.getNetworkKey)();
    const networkSnapshot = (0, hooks_1.useCachedNetwork)();
    return (0, lib_1.useMutation)(variables => client.notifications.updateNetworkNotificationSettings(variables), {
        onMutate: async (newNetworkSettings) => {
            await queryClient.cancelQueries(networkKey);
            const snapshot = networkSnapshot;
            queryClient.setQueriesData(networkKey, old => {
                var _a, _b, _c, _d, _e, _f, _g, _h, _j;
                return {
                    ...old,
                    settings: {
                        ...old.settings,
                        ...{
                            emailEnabled: (_b = (_a = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _a === void 0 ? void 0 : _a.emailEnabled) !== null && _b !== void 0 ? _b : (_c = old === null || old === void 0 ? void 0 : old.settings) === null || _c === void 0 ? void 0 : _c.emailEnabled,
                            emailNotificationEnabled: (_e = (_d = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _d === void 0 ? void 0 : _d.emailNotificationEnabled) !== null && _e !== void 0 ? _e : (_f = old === null || old === void 0 ? void 0 : old.settings) === null || _f === void 0 ? void 0 : _f.emailNotificationEnabled,
                            emailFrom: (_h = (_g = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _g === void 0 ? void 0 : _g.emailFrom) !== null && _h !== void 0 ? _h : (_j = old === null || old === void 0 ? void 0 : old.settings) === null || _j === void 0 ? void 0 : _j.emailFrom,
                        },
                    },
                };
            });
            return { snapshot };
        },
        onError: (err, newNetworkSettings, context) => {
            // revert back the optimistic response
            queryClient.setQueriesData(networkKey, context.snapshot);
        },
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(networkKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateNetworkNotificationSettings = useUpdateNetworkNotificationSettings;
//# sourceMappingURL=useUpdateNetworkNotificationSettings.js.map