"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAddPost = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCachedPost_1 = require("../cache/useCachedPost");
const spacePostsKey = (spaceId) => ({
    active: true,
    predicate: query => {
        var _a, _b, _c;
        const [main, args] = query.queryKey || [];
        return (main === (0, keys_1.getFeedKey)()[0] ||
            (main === (0, keys_1.getPostsKey)()[0] &&
                ((_c = (_b = (_a = args) === null || _a === void 0 ? void 0 : _a.variables) === null || _b === void 0 ? void 0 : _b.spaceIds) === null || _c === void 0 ? void 0 : _c.indexOf(spaceId)) > -1));
    },
});
const useAddPost = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.posts.create(input, fields), {
        onSuccess: (data, variables) => {
            queryClient.setQueriesData(spacePostsKey(variables.spaceId), (0, useCachedPost_1.addPostToPaginatedPost)(data));
        },
        onSettled: (data, error, variables) => {
            queryClient.invalidateQueries(spacePostsKey(variables.spaceId));
        },
        ...useMutationOptions,
    });
};
exports.useAddPost = useAddPost;
//# sourceMappingURL=useAddPost.js.map