"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFeed = exports.DefaultFeedLimit = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
exports.DefaultFeedLimit = 10;
const useFeed = (options) => {
    const { variables = { limit: exports.DefaultFeedLimit }, fields = 'default', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const feedKey = (0, keys_1.getFeedKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(feedKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.posts.feed({
        after,
        ...variables,
    }, fields), useInfiniteQueryOptions);
};
exports.useFeed = useFeed;
//# sourceMappingURL=useFeed.js.map