"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMovePost = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const filters_1 = require("./filters");
const useMovePost = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(variables => client.posts.movePost(variables, fields), {
        onSettled: (data, error, variables) => {
            const postKey = (0, keys_1.getPostKey)({ variables: { id: variables.id } });
            queryClient.invalidateQueries(postKey);
            const postsKey = (0, keys_1.getPostsKey)();
            queryClient.invalidateQueries(postsKey);
            queryClient.invalidateQueries({ ...filters_1.pinnedPostsFilter, active: true });
            const feedKey = (0, keys_1.getFeedKey)();
            queryClient.invalidateQueries(feedKey);
        },
        ...useMutationOptions,
    });
};
exports.useMovePost = useMovePost;
//# sourceMappingURL=useMovePost.js.map