"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMovePosts = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const filters_1 = require("./filters");
const useMovePosts = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(variables => client.posts.movePosts(variables, fields), {
        onSettled: (data, error, variables) => {
            var _a;
            (_a = variables === null || variables === void 0 ? void 0 : variables.ids) === null || _a === void 0 ? void 0 : _a.forEach(id => {
                const postKey = (0, keys_1.getPostKey)({ variables: { id } });
                queryClient.invalidateQueries(postKey);
            });
            const postsKey = (0, keys_1.getPostsKey)();
            queryClient.invalidateQueries(postsKey);
            queryClient.invalidateQueries({ ...filters_1.pinnedPostsFilter, active: true });
            const feedKey = (0, keys_1.getFeedKey)();
            queryClient.invalidateQueries(feedKey);
        },
        ...useMutationOptions,
    });
};
exports.useMovePosts = useMovePosts;
//# sourceMappingURL=useMovePosts.js.map