"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePost = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const usePost = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const postKey = (0, keys_1.getPostKey)({ variables, fields });
    const placeHolderPost = (0, cache_1.useCachedPost)(variables === null || variables === void 0 ? void 0 : variables.id);
    return (0, lib_1.useQuery)(postKey, () => client.posts.get(variables, fields), {
        placeholderData: () => placeHolderPost,
        ...useQueryOptions,
    });
};
exports.usePost = usePost;
//# sourceMappingURL=usePost.js.map