"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePostType = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const usePostType = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const postTypeKey = (0, keys_1.getPostTypeKey)({ variables, fields });
    return (0, lib_1.useQuery)(postTypeKey, () => client.posts.getPostType(variables, fields), {
        ...useQueryOptions,
    });
};
exports.usePostType = usePostType;
//# sourceMappingURL=usePostType.js.map