"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUnpinPostFromSpace = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUnpinPostFromSpace = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(variables => client.posts.unpinFromSpace(variables), {
        onSettled: (data, error, variables) => {
            const postKey = (0, keys_1.getPostKey)({ variables: { id: variables === null || variables === void 0 ? void 0 : variables.postId } });
            queryClient.invalidateQueries(postKey);
            const postsKey = (0, keys_1.getPostsKey)();
            queryClient.invalidateQueries(postsKey);
            const pinnedPostsKey = (0, keys_1.getPinnedPostsKey)();
            queryClient.invalidateQueries(pinnedPostsKey);
        },
        ...useMutationOptions,
    });
};
exports.useUnpinPostFromSpace = useUnpinPostFromSpace;
//# sourceMappingURL=useUnpinPostFromSpace.js.map