"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpsertExtraProperty = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpsertExtraProperty = (options) => {
    const { useMutationOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.upsertExtraProperties(input), {
        onSettled: () => {
            queryClient.invalidateQueries((0, keys_1.getNetworkKey)());
        },
        ...useMutationOptions,
    });
};
exports.useUpsertExtraProperty = useUpsertExtraProperty;
//# sourceMappingURL=useUpsertExtraProperty.js.map