"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRemoveSpaceMember = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useRemoveSpaceMember = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.spaceMembers.remove(input), {
        onMutate: variables => {
            const spaceMembersKey = (0, keys_1.getSpaceMembersKey)({
                variables: {
                    spaceId: variables.spaceId,
                },
            });
            queryClient.setQueriesData(spaceMembersKey, old => {
                var _a;
                return ({
                    ...old,
                    pages: (_a = old === null || old === void 0 ? void 0 : old.pages) === null || _a === void 0 ? void 0 : _a.map(page => {
                        var _a;
                        return ({
                            ...page,
                            edges: (_a = page === null || page === void 0 ? void 0 : page.edges) === null || _a === void 0 ? void 0 : _a.filter(edge => { var _a, _b, _c; return !((_a = variables === null || variables === void 0 ? void 0 : variables.memberIds) === null || _a === void 0 ? void 0 : _a.includes((_c = (_b = edge === null || edge === void 0 ? void 0 : edge.node) === null || _b === void 0 ? void 0 : _b.member) === null || _c === void 0 ? void 0 : _c.id)); }),
                        });
                    }),
                });
            });
        },
        onSettled: (data, error, variables) => {
            const spaceMembersKey = (0, keys_1.getSpaceMembersKey)({
                variables: {
                    spaceId: variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spaceMembersKey);
        },
        ...useMutationOptions,
    });
};
exports.useRemoveSpaceMember = useRemoveSpaceMember;
//# sourceMappingURL=useRemoveSpaceMember.js.map