"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApproveSpaceMembershipRequest = void 0;
const types_1 = require("@tribeplatform/gql-client/types");
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useApproveSpaceMembershipRequest = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(variables => client.spaceMembership.approveRequest(variables), {
        onSettled: (data, error, variables) => {
            const key = (0, keys_1.getSpaceMembershipRequestKey)({
                variables: {
                    spaceId: variables.spaceId,
                    status: types_1.SpaceJoinRequestStatus.PENDING,
                },
            });
            queryClient.invalidateQueries(key);
        },
        ...useMutationOptions,
    });
};
exports.useApproveSpaceMembershipRequest = useApproveSpaceMembershipRequest;
//# sourceMappingURL=useApproveSpaceMembershipRequest.js.map