"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRequestSpaceMembership = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useRequestSpaceMembership = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.spaceMembership.request(input), {
        onSettled: (data, error, variables) => {
            const spaceKey = (0, keys_1.getSpaceKey)({ variables: { id: variables.spaceId } });
            queryClient.invalidateQueries(spaceKey);
            queryClient.invalidateQueries((0, keys_1.getMemberSpaceMembershipRequestKey)());
        },
        ...useMutationOptions,
    });
};
exports.useRequestSpaceMembership = useRequestSpaceMembership;
//# sourceMappingURL=useRequestSpaceMembership.js.map