"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateMemberSpaceRole = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateMemberSpaceRole = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.spaceRoles.updateMemberRole(input), {
        onSettled: (data, error, variables) => {
            const spaceMembersKey = (0, keys_1.getSpaceMembersKey)({
                variables: {
                    spaceId: variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spaceMembersKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateMemberSpaceRole = useUpdateMemberSpaceRole;
//# sourceMappingURL=useUpdateMemberSpaceRole.js.map