"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateSpace = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCreateSpace = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const collectionsKey = (0, keys_1.getCollectionsKey)();
    return (0, lib_1.useMutation)((input) => client.spaces.create(input, fields), {
        onSuccess: async (space) => {
            const spaceKey = (0, keys_1.getSpaceKey)({ variables: { id: space.id } });
            queryClient.setQueryData(spaceKey, _ => space);
            queryClient.invalidateQueries((0, keys_1.getMemberNotificationSettingsKey)());
            queryClient.invalidateQueries(spaceKey);
            queryClient.invalidateQueries(collectionsKey);
        },
        ...useMutationOptions,
    });
};
exports.useCreateSpace = useCreateSpace;
//# sourceMappingURL=useCreateSpace.js.map