"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteSpace = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteSpace = (options) => {
    const { useMutationOptions, fields = 'basic' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    const collectionsKey = (0, keys_1.getCollectionsKey)();
    const spacesKey = (0, keys_1.getSpacesKey)();
    const memberNotificationSettingsKey = (0, keys_1.getMemberNotificationSettingsKey)();
    return (0, lib_1.useMutation)(input => client.spaces.delete(input, fields), {
        onSuccess: () => {
            queryClient.invalidateQueries(memberNotificationSettingsKey);
            queryClient.invalidateQueries(spacesKey);
            queryClient.invalidateQueries(collectionsKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteSpace = useDeleteSpace;
//# sourceMappingURL=useDeleteSpace.js.map