"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDeleteSpacePostTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useDeleteSpacePostTypes = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.spacePostType.delete(input), {
        onSettled: () => {
            const spacePostTypeKey = (0, keys_1.getSpacePostTypesKey)();
            queryClient.invalidateQueries(spacePostTypeKey);
        },
        ...useMutationOptions,
    });
};
exports.useDeleteSpacePostTypes = useDeleteSpacePostTypes;
//# sourceMappingURL=useDeleteSpacePostTypes.js.map