"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLeaveSpace = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useLeaveSpace = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.spaces.leave(input), {
        onSettled: (data, error, variables) => {
            queryClient.invalidateQueries((0, keys_1.getSpaceKey)({ variables: { id: variables.spaceId } }));
            queryClient.invalidateQueries((0, keys_1.getMemberNotificationSettingsKey)());
            queryClient.invalidateQueries((0, keys_1.getPostsKey)());
        },
        ...useMutationOptions,
    });
};
exports.useLeaveSpace = useLeaveSpace;
//# sourceMappingURL=useLeaveSpace.js.map