"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMemberSpaces = void 0;
const useInfiniteQuery_1 = require("../../lib/react-query/useInfiniteQuery");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useMemberSpaces = (options) => {
    const { variables, fields = { space: 'basic', member: 'basic', role: 'basic' }, useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberSpacesKey = (0, keys_1.getMemberSpacesKey)({ variables, fields });
    return (0, useInfiniteQuery_1.useInfiniteQuery)(memberSpacesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.spaceMembers.listSpaces({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useMemberSpaces = useMemberSpaces;
//# sourceMappingURL=useMemberSpaces.js.map