"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePinnedPosts = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const usePinnedPosts = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const pinnedPostsKey = (0, keys_1.getPinnedPostsKey)({ variables, fields });
    return (0, lib_1.useQuery)(pinnedPostsKey, () => client === null || client === void 0 ? void 0 : client.spaces.pinnedPosts(variables, fields), useQueryOptions);
};
exports.usePinnedPosts = usePinnedPosts;
//# sourceMappingURL=usePinnedPosts.js.map