"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpace = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const cache_1 = require("../cache");
const useSpace = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const cachedSpace = (0, cache_1.useCachedSpace)(variables);
    const spaceKey = (0, keys_1.getSpaceKey)({ variables, fields });
    return (0, lib_1.useQuery)(spaceKey, () => client.spaces.get(variables, fields), {
        placeholderData: () => cachedSpace,
        ...useQueryOptions,
    });
};
exports.useSpace = useSpace;
//# sourceMappingURL=useSpace.js.map