"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaces = exports.DefaultSpacesLimit = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
exports.DefaultSpacesLimit = 10;
const useSpaces = (options) => {
    const { variables = { limit: exports.DefaultSpacesLimit }, fields = 'basic', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const spacesKey = (0, keys_1.getSpacesKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(spacesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.spaces.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useSpaces = useSpaces;
//# sourceMappingURL=useSpaces.js.map