"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpacesByIds = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCachedSpace_1 = require("../cache/useCachedSpace");
const useSpacesByIds = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const cachedSpaces = (0, useCachedSpace_1.useCachedSpaces)(variables.ids.map(id => ({ id })));
    const spacesByIdsKey = (0, keys_1.getSpacesByIdsKey)({ variables, fields });
    return (0, lib_1.useQuery)(spacesByIdsKey, () => client === null || client === void 0 ? void 0 : client.spaces.listByIds(variables, fields), { placeholderData: () => cachedSpaces, ...useQueryOptions });
};
exports.useSpacesByIds = useSpacesByIds;
//# sourceMappingURL=useSpacesByIds.js.map