"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpacesBySlugs = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useCachedSpace_1 = require("../cache/useCachedSpace");
const useSpacesBySlugs = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const cachedSpaces = (0, useCachedSpace_1.useCachedSpaces)(variables.slugs.map(slug => ({ slug })));
    const spacesBySlugsKey = (0, keys_1.getSpacesBySlugsKey)({ variables, fields });
    return (0, lib_1.useQuery)(spacesBySlugsKey, () => client === null || client === void 0 ? void 0 : client.spaces.listBySlugs(variables, fields), { placeholderData: () => cachedSpaces, ...useQueryOptions });
};
exports.useSpacesBySlugs = useSpacesBySlugs;
//# sourceMappingURL=useSpacesBySlugs.js.map