"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateSpaceHighlightedTags = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateSpaceHighlightedTags = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.spaces.updateHighlightedTags(input), {
        ...useMutationOptions,
        onSuccess: (data, variables, context) => {
            queryClient.invalidateQueries((0, keys_1.getSpaceKey)({
                variables: {
                    id: variables.spaceId,
                },
            }));
            if (typeof useMutationOptions.onSuccess === 'function') {
                useMutationOptions.onSuccess(data, variables, context);
            }
        },
    });
};
exports.useUpdateSpaceHighlightedTags = useUpdateSpaceHighlightedTags;
//# sourceMappingURL=useUpdateSpaceHighlightedTags.js.map