"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateSpacePostTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useUpdateSpacePostTypes = (options) => {
    const { useMutationOptions, fields = 'basic' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)((input) => client.spacePostType.update(input, fields), {
        onSettled: (data, error, variables) => {
            const spacePostTypesKey = (0, keys_1.getSpacePostTypesKey)({
                variables: {
                    spaceId: variables === null || variables === void 0 ? void 0 : variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spacePostTypesKey);
            const spacePostTypeKey = (0, keys_1.getSpacePostTypeKey)({
                variables: {
                    spaceId: variables === null || variables === void 0 ? void 0 : variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spacePostTypeKey);
        },
        ...useMutationOptions,
    });
};
exports.useUpdateSpacePostTypes = useUpdateSpacePostTypes;
//# sourceMappingURL=useUpdateSpacePostTypes.js.map