"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTemplates = exports.DefaultTemplatesLimit = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
exports.DefaultTemplatesLimit = 10;
const useTemplates = (options) => {
    const { variables = { limit: exports.DefaultTemplatesLimit }, fields = 'basic', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const templatesKey = (0, keys_1.getTemplatesKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(templatesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.templates.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useTemplates = useTemplates;
//# sourceMappingURL=useTemplates.js.map