"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSearch = void 0;
const react_1 = require("react");
const lib_1 = require("../lib");
const useTribeClient_1 = require("../useTribeClient");
const keys_1 = require("../utils/keys");
const useSearch = (options) => {
    var _a;
    const { variables, fields, useQueryOptions } = options || {};
    const queryClient = (0, lib_1.useQueryClient)();
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const asyncSearch = (0, react_1.useCallback)(async (variables) => {
        const data = await queryClient.fetchQuery((0, keys_1.getSearchKey)({ variables, fields }), () => client.search(variables, fields), useQueryOptions);
        return data;
    }, [queryClient, client, useQueryOptions, fields]);
    return {
        ...(0, lib_1.useQuery)((0, keys_1.getSearchKey)({ variables, fields }), () => client.search(variables, fields), { ...useQueryOptions, enabled: !!((_a = variables === null || variables === void 0 ? void 0 : variables.input) === null || _a === void 0 ? void 0 : _a.query) }),
        asyncQuery: asyncSearch,
    };
};
exports.useSearch = useSearch;
//# sourceMappingURL=useSearch.js.map