"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSignup = void 0;
const auth_1 = require("../auth");
const useSignup = (props) => {
    const { invitationToken, invitationLinkId } = props;
    const joinNetworkMutation = (0, auth_1.useJoinNetwork)();
    const joinNetworkWithTokenMutation = (0, auth_1.useJoinNetworkWithToken)();
    const joinNetworkWithLinkMutation = (0, auth_1.useJoinNetworkWithLink)();
    const signupAsync = (variables, useMutationOptions) => {
        if (invitationLinkId) {
            return joinNetworkWithLinkMutation.mutateAsync({
                input: { ...variables.input, invitationLinkId },
            }, useMutationOptions);
        }
        if (invitationToken) {
            delete variables.input.email;
            return joinNetworkWithTokenMutation.mutateAsync({
                input: { ...variables.input, token: invitationToken },
            }, useMutationOptions);
        }
        return joinNetworkMutation.mutateAsync(variables, useMutationOptions);
    };
    return {
        mutateAsync: signupAsync,
        isLoading: joinNetworkMutation.isLoading ||
            joinNetworkWithLinkMutation.isLoading ||
            joinNetworkWithTokenMutation.isLoading,
    };
};
exports.useSignup = useSignup;
//# sourceMappingURL=useSignup.js.map