"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInfiniteQuery = void 0;
const react_query_1 = require("react-query");
const useTribeClient_1 = require("../../useTribeClient");
const useInfiniteQuery = (queryKey, queryFn, options) => {
    const { ready } = (0, useTribeClient_1.useTribeClient)();
    return (0, react_query_1.useInfiniteQuery)(queryKey, queryFn, {
        enabled: !ready ? false : options === null || options === void 0 ? void 0 : options.enabled,
        getNextPageParam: lastPage => {
            var _a;
            // Return undefined to indicate there is no next page available.
            if (!((_a = lastPage === null || lastPage === void 0 ? void 0 : lastPage.pageInfo) === null || _a === void 0 ? void 0 : _a.hasNextPage))
                return undefined;
            return lastPage.pageInfo.endCursor || undefined;
        },
        ...options,
    });
};
exports.useInfiniteQuery = useInfiniteQuery;
//# sourceMappingURL=useInfiniteQuery.js.map