import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import Link from '@tiptap/extension-link';
import Placeholder from '@tiptap/extension-placeholder';
import Underline from '@tiptap/extension-underline';
import { EditorContent, useEditor } from '@tiptap/react';
import StarterKit from '@tiptap/starter-kit';
import clsx from 'clsx';
import { FormControl, } from '@tribeplatform/react-ui-kit/FormControl';
import { TextFormattingMenu } from './TextBubbleMenu';
export const FormControlHtmlEditor = ({ placeholder, name, value, error, invalid, label, helperText, onChange, }) => {
    const [focused, setFocused] = useState(false);
    const editor = useEditor({
        onUpdate: ({ editor }) => {
            onChange(editor.isEmpty ? '' : editor.getHTML());
        },
        onFocus: () => {
            setFocused(true);
        },
        onBlur: () => {
            setFocused(false);
        },
        extensions: [
            StarterKit,
            Underline,
            Link,
            Placeholder.configure({
                placeholder,
            }),
        ],
        editorProps: {
            attributes: {
                class: 'flex-1',
            },
        },
        content: value,
    });
    if (!editor)
        return null;
    return (_jsxs("div", { children: [label ? (_jsx(FormControl.Label, { htmlFor: name, children: label }, void 0)) : null, _jsxs("div", { className: clsx(!!label && 'mt-1'), children: [_jsxs("div", { 
                        // h-28 is not working !?
                        style: { minHeight: '114px' }, className: clsx('flex flex-col relative shadow-sm min-h-28 px-3 py-2 border w-full rounded-md text-basicSurface-500 bg-surface-50 placeholder-basicSurface-300/75 border-basicSurface-300/25', focused &&
                            'outline border-actionPrimary-500 ring-actionPrimary-500', invalid && 'pr-10 outline ring-danger-500 border-danger-500'), children: [_jsx("div", { className: "inline-block mb-2 overflow-auto", children: _jsx(TextFormattingMenu, { editor: editor, className: "shadow-none border-none bg-transparent px-0" }, void 0) }, void 0), _jsx(EditorContent, { editor: editor, className: "flex flex-col flex-1" }, void 0)] }, void 0), _jsx(FormControl.Meta, { invalid: invalid, error: error, helperText: helperText }, void 0)] }, void 0)] }, void 0));
};
//# sourceMappingURL=FormControlHtmlEditor.js.map