import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Controller, useFormContext } from 'react-hook-form';
import { FormControl, } from '@tribeplatform/react-ui-kit/FormControl';
import { Select as SelectComponent } from '@tribeplatform/react-ui-kit/Select';
export function Select({ renderButton, children, name, validation, error: ___, onChange: selectOnChange, value: __, ...rest }) {
    const { control } = useFormContext();
    return (_jsx(Controller, { control: control, name: name, rules: validation, render: ({ field: { onChange, value }, fieldState: { error } }) => (_jsxs(FormControl.Select, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, value: value, onChange: value => {
                onChange(value);
                if (typeof selectOnChange === 'function')
                    selectOnChange(value);
            }, ...rest, children: [_jsx(SelectComponent.Button, { children: typeof renderButton === 'function' ? renderButton(value) : value }, void 0), children] }, void 0)) }, void 0));
}
//# sourceMappingURL=Select.js.map