import { jsx as _jsx } from "react/jsx-runtime";
import clsx from 'clsx';
import ReactPlayer from 'react-player/lazy';
import { AppsEnum } from './@types';
export const renderVideo = (domNode, { className }) => (_jsx("figure", { children: _jsx("div", { className: clsx('aspect-video', className), children: _jsx(ReactPlayer, { width: "100%", height: "100%", controls: true, url: domNode.attribs.src }, void 0) }, void 0) }, void 0));
export const renderAudio = (domNode) => (_jsx("figure", { children: _jsx("div", { className: "h-16", children: _jsx(ReactPlayer, { config: { file: { forceAudio: true } }, width: "100%", height: "100%", controls: true, url: domNode.attribs.src }, void 0) }, void 0) }, void 0));
export const renderImg = (domNode, { mediaIndex, className, onClick }) => {
    var _a;
    const app = (_a = domNode === null || domNode === void 0 ? void 0 : domNode.attribs) === null || _a === void 0 ? void 0 : _a['data-app'];
    const isGiphy = app === AppsEnum.Giphy;
    return (_jsx("figure", { children: _jsx("div", { className: clsx('flex items-center mt-5 ignore-typography', !isGiphy && `justify-center bg-surface-100 ${className}`), "data-index": mediaIndex, onClick: onClick, children: _jsx("img", { src: domNode.attribs.src, className: clsx('cursor-pointer', isGiphy ? 'max-h-48' : 'max-h-120'), alt: "" }, void 0) }, void 0) }, void 0));
};
//# sourceMappingURL=renderers.js.map