import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAuthMemberSessionsKey } from '../../utils/keys';
export const useAuthMemberSessions = (options) => {
    const { useQueryOptions, fields = { activeSession: 'basic', sessions: 'basic' }, } = options || {};
    const { client } = useTribeClient();
    const authMemberSessionsKey = getAuthMemberSessionsKey({ fields });
    return useQuery(authMemberSessionsKey, () => client.auth.authMember(fields), {
        ...useQueryOptions,
    });
};
//# sourceMappingURL=useAuthMemberSessions.js.map