import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getMemberKey } from '../../utils/keys';
export const useRevokeBadge = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.badge.revoke(input), {
        onSettled: (data, error, variables) => {
            var _a;
            const memberKey = getMemberKey({
                variables: { id: (_a = variables === null || variables === void 0 ? void 0 : variables.input) === null || _a === void 0 ? void 0 : _a.memberId },
            });
            queryClient.invalidateQueries(memberKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useRevokeBadge.js.map