import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
export const usePurchase = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.billing.purchase(input), {
        onSettled: () => {
            queryClient.invalidateQueries();
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=usePurchase.js.map