import { useState } from 'react';
import { useTribeClient } from '../../useTribeClient';
export const useValidatePromotionCode = () => {
    const { client } = useTribeClient();
    const [isInvalid, setIsInvalid] = useState();
    const [isLoading, setIsLoading] = useState();
    const reset = () => {
        setIsInvalid(false);
    };
    const validate = (variables) => {
        setIsLoading(true);
        return client.billing
            .baskets(variables)
            .then(() => {
            setIsInvalid(false);
            return true;
        })
            .catch(() => {
            setIsInvalid(true);
            return false;
        })
            .finally(() => {
            setIsLoading(false);
        });
    };
    return { isInvalid, isLoading, validate, reset };
};
//# sourceMappingURL=useValidatePromotionCode.js.map