import { InfiniteData, QueryClient } from 'react-query';
import { PaginatedPost, Post, PostReactionDetail, Scalars } from '@tribeplatform/gql-client/types';
export declare const getCachedRootPostByReplies: (id: any, queryClient: QueryClient) => Post | undefined;
export declare const getCachedRootPost: (id: any, queryClient: any) => Post | undefined;
export declare const getCachedPost: (id: string, queryClient: QueryClient) => Post | undefined;
export declare const useCachedPost: (id: Scalars['ID']) => Post | undefined;
export declare const addPostToPaginatedPost: (newPost: Post) => (oldPosts: InfiniteData<PaginatedPost>) => InfiniteData<PaginatedPost>;
export declare const postRepliesUpdater: (node: Post) => (pn: Post) => {
    repliesCount: number;
    totalRepliesCount: number;
    replies: {
        totalCount: number;
        nodes: Post[];
        edges: import("@tribeplatform/gql-client/types").PostEdge[];
        pageInfo: import("@tribeplatform/gql-client/types").PageInfo;
    };
    allowedEmojis?: string[];
    attachmentIds: string[];
    attachments?: import("@tribeplatform/gql-client/types").File[];
    authMemberProps?: import("@tribeplatform/gql-client/types").PostAuthMemberProps;
    createdAt: string;
    createdBy?: import("@tribeplatform/gql-client/types").SpaceMember;
    createdById: string;
    customSeoDetail?: import("@tribeplatform/gql-client/types").CustomSeoDetail;
    embedIds: string[];
    embeds?: import("@tribeplatform/gql-client/types").Embed[];
    fields?: import("@tribeplatform/gql-client/types").CustomField[];
    followersCount?: number;
    forbiddenEmojis?: string[];
    hasMoreContent: boolean;
    id: string;
    imageIds: string[];
    images?: import("@tribeplatform/gql-client/types").Media[];
    isAnonymous: boolean;
    isHidden?: boolean;
    language?: string;
    mappingFields?: import("@tribeplatform/gql-client/types").PostMappingField[];
    mentionedMembers: string[];
    mentions?: import("@tribeplatform/gql-client/types").Member[];
    negativeReactions?: string[];
    negativeReactionsCount: number;
    networkId: string;
    owner?: import("@tribeplatform/gql-client/types").SpaceMember;
    ownerId: string;
    pinnedInto: import("@tribeplatform/gql-client/types").PinnedInto[];
    pinnedReplies?: Post[];
    positiveReactions?: string[];
    positiveReactionsCount: number;
    postType?: import("@tribeplatform/gql-client/types").PostType;
    postTypeId: string;
    primaryReactionType: import("@tribeplatform/gql-client/types").ReactionType;
    publishedAt?: string;
    reactions?: PostReactionDetail[];
    reactionsCount: number;
    relativeUrl?: string;
    repliedTo?: Post;
    repliedToId?: string;
    repliedToIds?: string[];
    repliedTos?: Post[];
    seoDetail: import("@tribeplatform/gql-client/types").PostSeoDetail;
    shortContent?: string;
    singleChoiceReactions: string[];
    slug?: string;
    space?: import("@tribeplatform/gql-client/types").Space;
    spaceId: string;
    status: import("@tribeplatform/gql-client/types").PostStatus;
    tags?: import("@tribeplatform/gql-client/types").Tag[];
    title?: string;
    topRepliers: import("@tribeplatform/gql-client/types").PostTopReplier[];
    topicIds?: string[];
    updatedAt: string;
    url?: string;
};
export declare const infinitePostUpdater: (postId: string, updater: (oldPost: Post) => Post, checkReplies?: boolean) => (oldFeed: InfiniteData<PaginatedPost>) => {
    pages: PaginatedPost[];
    pageParams: unknown[];
};
export declare const infinitePaginatedPostWithRepliesUpdater: (postId: string, updater: (oldPost: Post) => Post, checkReplies?: boolean) => (posts: PaginatedPost) => PaginatedPost;
export declare const infinitePostArrayUpdater: (postId: string, updater: (oldPost: Post) => Post, checkReplies?: boolean) => (post: Post) => Post;
export declare const removeReactionFromPost: (reaction: string, memberId: string) => (old: Post) => Post;
export declare const addReactionToPost: (reaction: any, userReaction: any) => (old: Post) => Post;
//# sourceMappingURL=useCachedPost.d.ts.map