import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppPublicationsKey } from '../../utils/keys';
export const useGlobalAppPublications = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = useTribeClient();
    const AppPublicationsKey = getAppPublicationsKey({ variables, fields });
    return useQuery(AppPublicationsKey, () => client.dev.appPublications(variables, fields), { ...useQueryOptions, enabled: !!(variables === null || variables === void 0 ? void 0 : variables.appId) });
};
//# sourceMappingURL=useGlobalAppPublications.js.map