import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppKey, getAppsKey } from '../../utils/keys';
export const useGlobalDeleteApp = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    const appsKey = getAppsKey();
    return useMutation((input) => client === null || client === void 0 ? void 0 : client.dev.deleteApp(input), {
        onSuccess: async (data) => {
            const appKey = getAppKey({ variables: { slug: data.slug } });
            queryClient.removeQueries(appKey);
            queryClient.invalidateQueries(appsKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalDeleteApp.js.map