import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppKey } from '../../utils/keys';
export const useGlobalRegenerateClientSecret = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.dev.regenerateClientSecret(input), {
        onSuccess: async (data) => {
            const appKey = getAppKey({ variables: { slug: data.slug } });
            queryClient.setQueryData(appKey, _ => data);
            queryClient.invalidateQueries(appKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalRegenerateClientSecret.js.map