import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppCollaboratorsKey } from '../../utils/keys';
export const useGlobalRemoveAppCollaborator = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.dev.removeAppCollaborator(input), {
        onSettled: () => {
            const appCollaboratorsKey = getAppCollaboratorsKey();
            queryClient.invalidateQueries(appCollaboratorsKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalRemoveAppCollaborator.js.map