import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppPublicationsKey } from '../../utils/keys';
export const useGlobalUnPublishAppPrivately = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.dev.unPublishAppPrivately(input), {
        onSettled: (data, error, variables) => {
            const appPublicationsKey = getAppPublicationsKey({
                variables: {
                    appId: variables.appId,
                },
            });
            queryClient.invalidateQueries(appPublicationsKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalUnPublishAppPrivately.js.map