import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppKey, getAppsKey } from '../../utils/keys';
export const useGlobalUpdateApp = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    const appsKey = getAppsKey();
    return useMutation((input) => client === null || client === void 0 ? void 0 : client.dev.updateApp(input, fields), {
        onSuccess: async (data) => {
            const appKey = getAppKey({ variables: { slug: data.slug } });
            queryClient.setQueryData(appKey, _ => data);
            queryClient.invalidateQueries(appsKey);
            queryClient.invalidateQueries(appKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalUpdateApp.js.map