import { useCachedNetwork } from '@tribeplatform/react-sdk/hooks';
import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getNetworkKey } from '../../utils/keys';
export const useUpdateNetworkMediaSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    const networkKey = getNetworkKey();
    const networkSnapshot = useCachedNetwork();
    return useMutation(variables => client.media.updateNetworkSettings(variables), {
        onMutate: async (newNetworkMediaSettings) => {
            await queryClient.cancelQueries(networkKey);
            const snapshot = networkSnapshot;
            queryClient.setQueriesData(networkKey, old => {
                var _a, _b, _c, _d, _e, _f;
                return {
                    ...old,
                    settings: {
                        ...old === null || old === void 0 ? void 0 : old.settings,
                        fileSizeLimit: (_b = (_a = newNetworkMediaSettings === null || newNetworkMediaSettings === void 0 ? void 0 : newNetworkMediaSettings.input) === null || _a === void 0 ? void 0 : _a.fileSizeLimit) !== null && _b !== void 0 ? _b : (_c = old === null || old === void 0 ? void 0 : old.settings) === null || _c === void 0 ? void 0 : _c.fileSizeLimit,
                        imageSizeLimit: (_e = (_d = newNetworkMediaSettings === null || newNetworkMediaSettings === void 0 ? void 0 : newNetworkMediaSettings.input) === null || _d === void 0 ? void 0 : _d.imageSizeLimit) !== null && _e !== void 0 ? _e : (_f = old === null || old === void 0 ? void 0 : old.settings) === null || _f === void 0 ? void 0 : _f.imageSizeLimit,
                    },
                };
            });
            return { snapshot };
        },
        onError: (err, newNetworkSettings, context) => {
            // revert back the optimistic response
            queryClient.setQueriesData(networkKey, context.snapshot);
        },
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(networkKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useUpdateNetworkMediaSettings.js.map