import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getModerationItemKey } from '../../utils/keys';
export const useModerationItem = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = useTribeClient();
    const moderationItemKey = getModerationItemKey({ variables, fields });
    return useQuery(moderationItemKey, () => client.moderation.getItem(variables, fields), useQueryOptions);
};
//# sourceMappingURL=useModerationItem.js.map