import { useInfiniteQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getModerationItemReportersKey } from '../../utils/keys';
export const useModerationItemReporters = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = useTribeClient();
    const moderationItemReportersKey = getModerationItemReportersKey({
        variables,
        fields,
    });
    return useInfiniteQuery(moderationItemReportersKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.moderation.getItemReporters({ after, ...variables }, fields), useInfiniteQueryOptions);
};
//# sourceMappingURL=useModerationItemReporters.js.map