import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getNotificationsCountKey, getNotificationsKey } from '../../utils/keys';
export const useDeleteNotifications = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(input => client.notifications.deleteNotifications(input), {
        onSettled: () => {
            const notificationKey = getNotificationsKey();
            queryClient.invalidateQueries(notificationKey);
            const notificationsCountKey = getNotificationsCountKey();
            queryClient.invalidateQueries(notificationsCountKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useDeleteNotifications.js.map