import { useCachedNetwork } from '@tribeplatform/react-sdk/hooks';
import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getNetworkKey } from '../../utils/keys';
export const useUpdateNetworkNotificationSettings = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    const networkKey = getNetworkKey();
    const networkSnapshot = useCachedNetwork();
    return useMutation(variables => client.notifications.updateNetworkNotificationSettings(variables), {
        onMutate: async (newNetworkSettings) => {
            await queryClient.cancelQueries(networkKey);
            const snapshot = networkSnapshot;
            queryClient.setQueriesData(networkKey, old => {
                var _a, _b, _c, _d, _e, _f, _g, _h, _j;
                return {
                    ...old,
                    settings: {
                        ...old.settings,
                        ...{
                            emailEnabled: (_b = (_a = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _a === void 0 ? void 0 : _a.emailEnabled) !== null && _b !== void 0 ? _b : (_c = old === null || old === void 0 ? void 0 : old.settings) === null || _c === void 0 ? void 0 : _c.emailEnabled,
                            emailNotificationEnabled: (_e = (_d = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _d === void 0 ? void 0 : _d.emailNotificationEnabled) !== null && _e !== void 0 ? _e : (_f = old === null || old === void 0 ? void 0 : old.settings) === null || _f === void 0 ? void 0 : _f.emailNotificationEnabled,
                            emailFrom: (_h = (_g = newNetworkSettings === null || newNetworkSettings === void 0 ? void 0 : newNetworkSettings.input) === null || _g === void 0 ? void 0 : _g.emailFrom) !== null && _h !== void 0 ? _h : (_j = old === null || old === void 0 ? void 0 : old.settings) === null || _j === void 0 ? void 0 : _j.emailFrom,
                        },
                    },
                };
            });
            return { snapshot };
        },
        onError: (err, newNetworkSettings, context) => {
            // revert back the optimistic response
            queryClient.setQueriesData(networkKey, context.snapshot);
        },
        onSettled: () => {
            // invalidate to refetch again
            queryClient.invalidateQueries(networkKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useUpdateNetworkNotificationSettings.js.map