import { useMutation, useQueryClient, } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getFeedKey, getPostsKey } from '../../utils/keys';
import { addPostToPaginatedPost } from '../cache/useCachedPost';
const spacePostsKey = (spaceId) => ({
    active: true,
    predicate: query => {
        var _a, _b, _c;
        const [main, args] = query.queryKey || [];
        return (main === getFeedKey()[0] ||
            (main === getPostsKey()[0] &&
                ((_c = (_b = (_a = args) === null || _a === void 0 ? void 0 : _a.variables) === null || _b === void 0 ? void 0 : _b.spaceIds) === null || _c === void 0 ? void 0 : _c.indexOf(spaceId)) > -1));
    },
});
export const useAddPost = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation((input) => client.posts.create(input, fields), {
        onSuccess: (data, variables) => {
            queryClient.setQueriesData(spacePostsKey(variables.spaceId), addPostToPaginatedPost(data));
        },
        onSettled: (data, error, variables) => {
            queryClient.invalidateQueries(spacePostsKey(variables.spaceId));
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useAddPost.js.map