import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getFeedKey, getPostKey, getPostsKey } from '../../utils/keys';
import { pinnedPostsFilter } from './filters';
export const useMovePosts = (options) => {
    const { useMutationOptions, fields } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation(variables => client.posts.movePosts(variables, fields), {
        onSettled: (data, error, variables) => {
            var _a;
            (_a = variables === null || variables === void 0 ? void 0 : variables.ids) === null || _a === void 0 ? void 0 : _a.forEach(id => {
                const postKey = getPostKey({ variables: { id } });
                queryClient.invalidateQueries(postKey);
            });
            const postsKey = getPostsKey();
            queryClient.invalidateQueries(postsKey);
            queryClient.invalidateQueries({ ...pinnedPostsFilter, active: true });
            const feedKey = getFeedKey();
            queryClient.invalidateQueries(feedKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useMovePosts.js.map