import { useInfiniteQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getPostTypesKey } from '../../utils/keys';
export const usePostTypes = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = useTribeClient();
    const postTypesKey = getPostTypesKey({ variables, fields });
    return useInfiniteQuery(postTypesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.posts.listPostTypes({ after, ...variables }, fields), useInfiniteQueryOptions);
};
//# sourceMappingURL=usePostTypes.js.map