import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getNetworkKey } from '../../utils/keys';
export const useUpsertExtraProperty = (options) => {
    const { useMutationOptions } = options || {};
    const queryClient = useQueryClient();
    const { client } = useTribeClient();
    return useMutation(input => client.upsertExtraProperties(input), {
        onSettled: () => {
            queryClient.invalidateQueries(getNetworkKey());
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useUpsertExtraProperty.js.map