import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getLeaderboardKey } from '../../utils/keys';
export const useLeaderboard = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = useTribeClient();
    const leaderboardKey = getLeaderboardKey({ variables, fields });
    return useQuery(leaderboardKey, () => client.report.getLeaderboard(variables, fields), useQueryOptions);
};
//# sourceMappingURL=useLeaderboard.js.map