import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getLeaderboardWithScoresKey } from '../../utils/keys';
export const useLeaderboardWithScores = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = useTribeClient();
    const leaderboardWithScoresKey = getLeaderboardWithScoresKey({
        variables,
        fields,
    });
    return useQuery(leaderboardWithScoresKey, () => client.report.getLeaderboardWithScores(variables, fields), useQueryOptions);
};
//# sourceMappingURL=useLeaderboardWithScores.js.map