import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getSpaceMembershipRequestKey } from '../../utils/keys';
export const useSpaceMembershipRequests = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = useTribeClient();
    const key = getSpaceMembershipRequestKey({ variables, fields });
    return useQuery(key, () => client.spaceMembership.getRequests(variables, fields), {
        ...useQueryOptions,
    });
};
//# sourceMappingURL=useSpaceMembershipRequests.js.map