import { useInfiniteQuery, } from '../../lib/react-query/useInfiniteQuery';
import { useTribeClient } from '../../useTribeClient';
import { getMemberSpacesKey } from '../../utils/keys';
export const useMemberSpaces = (options) => {
    const { variables, fields = { space: 'basic', member: 'basic', role: 'basic' }, useInfiniteQueryOptions, } = options || {};
    const { client } = useTribeClient();
    const memberSpacesKey = getMemberSpacesKey({ variables, fields });
    return useInfiniteQuery(memberSpacesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.spaceMembers.listSpaces({ after, ...variables }, fields), useInfiniteQueryOptions);
};
//# sourceMappingURL=useMemberSpaces.js.map