import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getSpacesByIdsKey } from '../../utils/keys';
import { useCachedSpaces } from '../cache/useCachedSpace';
export const useSpacesByIds = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = useTribeClient();
    const cachedSpaces = useCachedSpaces(variables.ids.map(id => ({ id })));
    const spacesByIdsKey = getSpacesByIdsKey({ variables, fields });
    return useQuery(spacesByIdsKey, () => client === null || client === void 0 ? void 0 : client.spaces.listByIds(variables, fields), { placeholderData: () => cachedSpaces, ...useQueryOptions });
};
//# sourceMappingURL=useSpacesByIds.js.map