import { useMutation, useQueryClient } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getSpacePostTypeKey, getSpacePostTypesKey } from '../../utils/keys';
export const useUpdateSpacePostTypes = (options) => {
    const { useMutationOptions, fields = 'basic' } = options || {};
    const { client } = useTribeClient();
    const queryClient = useQueryClient();
    return useMutation((input) => client.spacePostType.update(input, fields), {
        onSettled: (data, error, variables) => {
            const spacePostTypesKey = getSpacePostTypesKey({
                variables: {
                    spaceId: variables === null || variables === void 0 ? void 0 : variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spacePostTypesKey);
            const spacePostTypeKey = getSpacePostTypeKey({
                variables: {
                    spaceId: variables === null || variables === void 0 ? void 0 : variables.spaceId,
                },
            });
            queryClient.invalidateQueries(spacePostTypeKey);
        },
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useUpdateSpacePostTypes.js.map