import { useFormContext } from 'react-hook-form'

import {
  FormControl,
  FormControlCheckboxProps,
} from '@tribeplatform/react-ui-kit/FormControl'

import { FormValidationProps } from './typings'

export type CheckboxProps = FormControlCheckboxProps & FormValidationProps

export function Checkbox({ name, validation, ...rest }: CheckboxProps) {
  const { register, formState } = useFormContext()
  const error = formState.errors[name]

  return (
    <FormControl.Checkbox
      name={name}
      invalid={!!error?.message}
      error={error?.message}
      {...register(name, validation)}
      {...rest}
    />
  )
}
