import { Controller, useFormContext } from 'react-hook-form'

import {
  PickerFormControl,
  PickerFormControlSpaceProps,
} from '../Picker/PickerFormControl'
import { FormValidationProps } from './typings'

export type SpacePickerProps = PickerFormControlSpaceProps & FormValidationProps

export function FormSpacePicker({
  name,
  validation,
  ...rest
}: SpacePickerProps) {
  const { control } = useFormContext()

  return (
    <Controller
      control={control}
      name={name}
      rules={validation}
      render={({ field: { onChange, value }, fieldState: { error } }) => (
        <PickerFormControl.SpacePicker
          name={name}
          invalid={!!error?.message}
          error={error?.message}
          value={value}
          onChange={value => {
            onChange(value)
          }}
          {...rest}
        />
      )}
    />
  )
}
