import { FC, ReactNode } from 'react'

import clsx from 'clsx'

import { Icon } from '@tribeplatform/react-ui-kit/Icon'

const activeClass = 'text-actionAccent-600 hover:text-actionAccentHover-500'
export const MenuItem: FC<{
  isActive: boolean
  onClick: () => void
  className?: string
  title?: string
  icon: ReactNode
}> = ({ onClick, isActive, icon, className, title }) => (
  <button
    title={title}
    type="button"
    onClick={onClick}
    className={clsx('flex p-1 items-center hover:bg-surface-100', className, {
      [activeClass]: isActive,
    })}
  >
    <Icon className="w-4 h-4">{icon}</Icon>
  </button>
)
