import { FC } from 'react'

import { FormActions, FormActionsProps } from './Actions'
import { AvatarInput, AvatarInputProps } from './AvatarInput'
import { Checkbox, CheckboxProps } from './Checkbox'
import { Form as FormComponent } from './Form'
import { FormMemberPicker, MemberPickerProps } from './FormMemberPicker'
import { FormSpacePicker, SpacePickerProps } from './FormSpacePicker'
import {
  SimpleHtmlEditor,
  SimpleHtmlEditorProps,
} from './HtmlEditor/SimpleHtmlEditor'
import { Input, InputProps } from './Input'
import { Multiselect, MultiselectProps } from './Multiselect'
import { RadioGroup, RadioGroupProps } from './Radio'
import { SearchableSelect, SearchableSelectProps } from './SearchableSelect'
import { Select, SelectProps } from './Select'
import { Textarea, TextareaProps } from './Textarea'
import { Toggle, ToggleProps } from './Toggle'
import { FormComponent as FormComponentType } from './typings'

export * from './typings'
export interface FormType extends FormComponentType {
  Avatar?: FC<AvatarInputProps>
  Checkbox?: FC<CheckboxProps>
  Input?: FC<InputProps>
  MemberPicker?: FC<MemberPickerProps>
  RadioGroup?: FC<RadioGroupProps>
  Select?: FC<SelectProps>
  Multiselect?: FC<MultiselectProps>
  SpacePicker?: FC<SpacePickerProps>
  Textarea?: FC<TextareaProps>
  Toggle?: FC<ToggleProps>
  Actions?: FC<FormActionsProps>
  SimpleHtmlEditor?: FC<SimpleHtmlEditorProps>
  SearchableSelect?: FC<SearchableSelectProps>
}

export const Form: FormType = FormComponent

Form.Avatar = AvatarInput
Form.Checkbox = Checkbox
Form.Input = Input
Form.MemberPicker = FormMemberPicker
Form.RadioGroup = RadioGroup
Form.Select = Select
Form.SpacePicker = FormSpacePicker
Form.Textarea = Textarea
Form.Toggle = Toggle
Form.Actions = FormActions
Form.Multiselect = Multiselect
Form.SimpleHtmlEditor = SimpleHtmlEditor
Form.SearchableSelect = SearchableSelect
