import { ComponentProps } from 'react'

import { RegisterOptions, UseFormReturn } from 'react-hook-form'

export type FormValidationProps = {
  name: string
  validation?: RegisterOptions
}

export type FormProps = Omit<ComponentProps<'form'>, 'onSubmit'> & {
  defaultValues?: Record<string, unknown>
  alertClasses?: string
  onSubmit?: (
    data: any,
    methods?: UseFormReturn<any, Record<string, unknown>>,
  ) => void | Promise<unknown>
}

export type FormRef = {
  methods: UseFormReturn<Record<string, unknown>, Record<string, unknown>>
}

export type FormComponent = React.ForwardRefExoticComponent<
  React.PropsWithoutRef<FormProps> & React.RefAttributes<FormRef>
>
