import DuplicateIcon from '@heroicons/react/outline/DuplicateIcon'
import { useClipboard } from 'use-clipboard-copy'

import { Button } from '@tribeplatform/react-ui-kit/Button'
import { CheckIcon } from '@tribeplatform/react-ui-kit/icons'

export const CodeCopyButton = ({ content }: { content: string }) => {
  const clipboard = useClipboard({ copiedTimeout: 1000 })

  return (
    <Button
      size="xs"
      variant="secondary"
      leadingIcon={clipboard.copied ? <CheckIcon /> : <DuplicateIcon />}
      className="absolute top-2 right-2 opacity-0 transition-opacity code-copy-button"
      onClick={() => clipboard.copy(content)}
    >
      {clipboard.copied ? 'Copied' : 'Copy'}
    </Button>
  )
}
