import * as factory from '@tribeplatform/test-utils/factory'
import { mockApp } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useApp } from './useApp'

describe('useApp', () => {
  describe('happy path', () => {
    const app = factory.app({
      name: 'App 1',
    })
    beforeEach(() => {
      server.use(mockApp(app))
    })

    test('returns basic fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useApp({
          variables: {
            id: app.id,
          },
          fields: 'basic',
        }),
      )

      await waitFor(() => result.current.isSuccess)
      expect(result.current.data).toEqual(app)
    })

    test('returns all fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useApp({
          variables: {
            id: app.id,
          },
          fields: 'all',
        }),
      )

      await waitFor(() => result.current.isSuccess)
      expect(result.current.data).toEqual(app)
    })
  })
})
