import { mockAppNetworkSettings } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useAppNetworkSettings } from './useAppNetworkSettings'

describe('useAppNetworkSettings', () => {
  describe('happy path', () => {
    const settings = 'settings'

    beforeEach(() => {
      server.use(mockAppNetworkSettings(settings))
    })

    test('returns fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useAppNetworkSettings({
          variables: {
            appId: 'id',
          },
        }),
      )

      await waitFor(() => result.current.isSuccess)

      expect(result.current.data).toEqual(settings)
    })
  })
})
