import { mockAppSpaceSettings } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useAppSpaceSettings } from './useAppSpaceSettings'

describe('useAppSpaceSettings', () => {
  describe('happy path', () => {
    const settings = 'settings'

    beforeEach(() => {
      server.use(mockAppSpaceSettings(settings))
    })

    test('returns fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useAppSpaceSettings({
          variables: {
            appId: 'app-id',
            spaceId: 'space-id',
          },
        }),
      )

      await waitFor(() => result.current.isSuccess)

      expect(result.current.data).toEqual(settings)
    })
  })
})
