import { PermissionContext } from '@tribeplatform/gql-client/types'
import * as factory from '@tribeplatform/test-utils/factory'
import { mockInstallApp } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useInstallApp } from './useInstallApp'

describe('useInstallApp', () => {
  describe('happy path', () => {
    const appInstallation = factory.appInstallation()

    beforeEach(() => {
      server.use(mockInstallApp(appInstallation))
    })

    test('returns fields', async () => {
      const { result } = renderHook(() => useInstallApp())

      const data = await result.current.mutateAsync({
        appId: 'app-id',
        input: {
          context: PermissionContext.NETWORK,
          entityId: '',
        },
      })

      expect(data).toEqual(appInstallation)
    })
  })
})
