import * as factory from '@tribeplatform/test-utils/factory'
import { mockUninstallApp } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useUninstallApp } from './useUninstallApp'

describe('useUninstallApp', () => {
  describe('happy path', () => {
    const appInstallation = factory.appInstallation()

    beforeEach(() => {
      server.use(mockUninstallApp(appInstallation))
    })

    test('returns fields', async () => {
      const { result } = renderHook(() => useUninstallApp())

      const data = await result.current.mutateAsync({
        appInstallationId: appInstallation.id,
      })

      expect(data).toEqual(appInstallation)
    })
  })
})
