import * as factory from '@tribeplatform/test-utils/factory'
import { mockAuthMember } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useAuthMember } from './useAuthMember'

describe('useAuthMember', () => {
  describe('happy path', () => {
    const member = factory.member({
      name: 'member 1',
    })

    beforeEach(() => {
      server.use(mockAuthMember(member))
    })

    test('returns fields', async () => {
      const { result, waitFor } = renderHook(() => useAuthMember())

      await waitFor(() => result.current.isSuccess)

      expect(result.current.data).toEqual(member)
    })
  })
})
