import { MemberFields } from '@tribeplatform/gql-client'
import { Member } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getAuthMemberSessionsKey } from '../../utils/keys'

export const useAuthMemberSessions = (options?: {
  useQueryOptions?: UseQueryOptions<Member>
  fields: MemberFields
}) => {
  const {
    useQueryOptions,
    fields = { activeSession: 'basic', sessions: 'basic' },
  } = options || {}
  const { client } = useTribeClient()
  const authMemberSessionsKey = getAuthMemberSessionsKey({ fields })

  return useQuery<Member>(
    authMemberSessionsKey,
    () => client.auth.authMember(fields),
    {
      ...useQueryOptions,
    },
  )
}
