import { MemberInvitationLink } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getMemberInvitationLinkKey } from '../../utils/keys'

export const useInvitationLink = (options?: {
  useQueryOptions?: UseQueryOptions<MemberInvitationLink>
}) => {
  const { useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const memberInvitationLinkKey = getMemberInvitationLinkKey()

  return useQuery<MemberInvitationLink>(
    memberInvitationLinkKey,
    () => client.invitations.getLink(),
    useQueryOptions,
  )
}
