import { AuthTokenFields, ClientError } from '@tribeplatform/gql-client'
import {
  AuthToken,
  MutationJoinNetworkWithInvitationLinkArgs,
} from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'

export const useJoinNetworkWithLink = (options?: {
  fields?: AuthTokenFields
  useMutationOptions?: UseMutationOptions<
    AuthToken,
    ClientError,
    MutationJoinNetworkWithInvitationLinkArgs,
    { snapshot: AuthToken }
  >
}) => {
  const { useMutationOptions, fields = 'default' } = options || {}
  const { client } = useTribeClient()

  return useMutation<
    AuthToken,
    ClientError,
    MutationJoinNetworkWithInvitationLinkArgs,
    { snapshot: AuthToken }
  >(
    (input: MutationJoinNetworkWithInvitationLinkArgs) =>
      client.auth.joinNetworkWithInvitationLink(input, fields),
    useMutationOptions,
  )
}
