import { MemberInvitationFields } from '@tribeplatform/gql-client'
import {
  PaginatedMemberInvitation,
  QueryMemberInvitationsArgs,
} from '@tribeplatform/gql-client/types'

import { UseInfiniteQueryOptions, useInfiniteQuery } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getMemberInvitationsKey } from '../../utils/keys'

export const useMemberInvitations = (options: {
  variables: QueryMemberInvitationsArgs
  fields?: MemberInvitationFields
  useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedMemberInvitation>
}) => {
  const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {}
  const { client } = useTribeClient()
  const memberInvitationsKey = getMemberInvitationsKey({ variables, fields })

  return useInfiniteQuery<PaginatedMemberInvitation>(
    memberInvitationsKey,
    ({ pageParam: after }) =>
      client?.invitations.list({ after, ...variables }, fields),
    useInfiniteQueryOptions,
  )
}
