import {
  MutationUpdateCustomSsoArgs,
  Sso,
} from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions, useQueryClient } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getSsosKey } from '../../utils/keys'

export const useUpdateCustomSso = (options?: {
  useMutationOptions?: UseMutationOptions<
    Sso,
    Error,
    MutationUpdateCustomSsoArgs
  >
}) => {
  const { useMutationOptions } = options || {}
  const queryClient = useQueryClient()
  const { client } = useTribeClient()

  return useMutation<Sso, Error, MutationUpdateCustomSsoArgs>(
    input => client.auth.updateCustomSso(input),
    {
      onSettled: () => {
        const ssosKey = getSsosKey()
        queryClient.invalidateQueries(ssosKey)
      },
      ...useMutationOptions,
    },
  )
}
