import { MemberInvitationFields } from '@tribeplatform/gql-client/graphql'
import {
  MemberInvitation,
  QueryMemberInvitationValidityArgs,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getMemberInvitationValidityKey } from '../../utils/keys'

export const useValidateToken = (options?: {
  variables: QueryMemberInvitationValidityArgs
  fields?: MemberInvitationFields
  useQueryOptions?: UseQueryOptions<MemberInvitation>
}) => {
  const { useQueryOptions, fields, variables } = options || {}
  const { client } = useTribeClient()
  const memberInvitationValidityKey = getMemberInvitationValidityKey({
    variables,
    fields,
  })

  return useQuery<MemberInvitation>(
    memberInvitationValidityKey,
    () => client.invitations.validate(variables, fields),
    useQueryOptions,
  )
}
