import { Basket, QueryBasketsArgs } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getBasketsKey } from '../../utils/keys'

export const useBaskets = (options?: {
  variables: QueryBasketsArgs
  useQueryOptions?: UseQueryOptions<Basket[]>
}) => {
  const { useQueryOptions, variables } = options || {}
  const { client } = useTribeClient()
  const basketsKey = getBasketsKey({ variables })

  return useQuery<Basket[]>(
    basketsKey,
    () => client.billing.baskets(variables),
    useQueryOptions,
  )
}
