import { BillingDetails } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getBillingDetailsKey } from '../../utils/keys'

export const useBillingDetails = (options?: {
  useQueryOptions?: UseQueryOptions<BillingDetails>
}) => {
  const { useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const billingDetailsKey = getBillingDetailsKey()

  return useQuery<BillingDetails>(
    billingDetailsKey,
    () => client.billing.details(),
    {
      ...useQueryOptions,
    },
  )
}
