import { Invoice } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getInvoicesKey } from '../../utils/keys'

export const useInvoices = (options?: {
  useQueryOptions?: UseQueryOptions<Invoice[]>
}) => {
  const { useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const invoicesKey = getInvoicesKey()

  return useQuery<Invoice[]>(invoicesKey, () => client.billing.invoices(), {
    ...useQueryOptions,
  })
}
