import { ClientError } from '@tribeplatform/gql-client'
import {
  Subscription,
  MutationPurchaseArgs,
} from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions, useQueryClient } from '../../lib'
import { useTribeClient } from '../../useTribeClient'

export const usePurchase = (options?: {
  useMutationOptions?: UseMutationOptions<
    Subscription,
    ClientError,
    MutationPurchaseArgs
  >
}) => {
  const { useMutationOptions } = options || {}
  const { client } = useTribeClient()
  const queryClient = useQueryClient()

  return useMutation<Subscription, ClientError, MutationPurchaseArgs>(
    input => client.billing.purchase(input),
    {
      onSettled: () => {
        queryClient.invalidateQueries()
      },
      ...useMutationOptions,
    },
  )
}
