import { useState } from 'react'

import { QueryBasketsArgs } from '@tribeplatform/gql-client/types'

import { useTribeClient } from '../../useTribeClient'

export const useValidatePromotionCode = () => {
  const { client } = useTribeClient()
  const [isInvalid, setIsInvalid] = useState<boolean>()
  const [isLoading, setIsLoading] = useState<boolean>()

  const reset = () => {
    setIsInvalid(false)
  }

  const validate = (variables: QueryBasketsArgs) => {
    setIsLoading(true)
    return client.billing
      .baskets(variables)
      .then(() => {
        setIsInvalid(false)
        return true
      })
      .catch(() => {
        setIsInvalid(true)
        return false
      })
      .finally(() => {
        setIsLoading(false)
      })
  }

  return { isInvalid, isLoading, validate, reset }
}
