import { VatTypeInfo } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getVatTypesKey } from '../../utils/keys'

export const useVatTypes = (options?: {
  useQueryOptions?: UseQueryOptions<VatTypeInfo[]>
}) => {
  const { useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const vatTypesKey = getVatTypesKey()

  return useQuery<VatTypeInfo[]>(vatTypesKey, () => client.billing.vatTypes(), {
    ...useQueryOptions,
  })
}
