import { isEmpty } from 'lodash'

import { AuthToken } from '@tribeplatform/gql-client/types'

import { useQueryClient } from '../../lib'
import { getAuthTokenKey } from '../../utils/keys'

export const useCachedAuthToken = () => {
  const queryClient = useQueryClient()
  const queries = queryClient.getQueriesData<AuthToken>({
    queryKey: getAuthTokenKey(),
  })

  let authToken: AuthToken

  queries?.forEach(query => {
    const data = query?.[1]
    if (data) {
      authToken = {
        ...authToken,
        ...data,
      }
    }
  })

  if (!isEmpty(authToken)) return authToken
}
