import { CollectionFields } from '@tribeplatform/gql-client'
import {
  Collection,
  QueryCollectionsArgs,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getCollectionsKey } from '../../utils/keys'

export const useCollections = (options?: {
  useQueryOptions?: UseQueryOptions<Collection[]>
  variables?: QueryCollectionsArgs
  fields?: CollectionFields
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const collectionsKey = getCollectionsKey({ variables, fields })

  return useQuery<Collection[]>(
    collectionsKey,
    () => client?.collections.list({ ...variables }, fields),
    useQueryOptions,
  )
}
