import * as factory from '@tribeplatform/test-utils/factory'
import { mockGlobalApp } from '@tribeplatform/test-utils/handlers'

import { renderHook } from '../../../tests/render'
import { server } from '../../../tests/server'
import { useGlobalApp } from './useGlobalApp'

describe('useGlobalApp', () => {
  describe('happy path', () => {
    const app = factory.app({
      name: 'App 1',
    })

    beforeEach(() => {
      server.use(mockGlobalApp(app))
    })

    test('returns basic fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useGlobalApp({
          variables: {
            id: 'id',
          },
          fields: 'basic',
        }),
      )

      await waitFor(() => result.current.isSuccess)

      expect(result.current.data).toEqual(app)
    })

    test('returns all fields', async () => {
      const { result, waitFor } = renderHook(() =>
        useGlobalApp({
          variables: {
            id: 'id',
          },
          fields: 'all',
        }),
      )

      await waitFor(() => result.current.isSuccess)

      expect(result.current.data).toEqual(app)
    })
  })
})
