import { ClientError, ClientFileErrorHandler } from '@tribeplatform/gql-client'
import { AttachmentUploadType, File } from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'

export const useCreateFiles = (options?: {
  useMutationOptions?: Omit<
    UseMutationOptions<File[], unknown, AttachmentUploadType>,
    'onError'
  > & {
    onError: ClientFileErrorHandler
  }
}) => {
  const { useMutationOptions } = options || {}
  const { client } = useTribeClient()
  return useMutation<File[], ClientError, AttachmentUploadType>(
    input => client.media.uploadFiles(input, useMutationOptions?.onError),
    {
      ...useMutationOptions,
      onError: useMutationOptions?.onError as any,
    },
  )
}
