import { NetworkFields } from '@tribeplatform/gql-client'
import { Network } from '@tribeplatform/gql-client/types'
import { useCachedNetwork } from '@tribeplatform/react-sdk/hooks'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getNetworkKey } from '../../utils/keys'

export const useNetwork = (options?: {
  useQueryOptions?: UseQueryOptions<Network>
  fields?: NetworkFields
}) => {
  const { useQueryOptions, fields = 'default' } = options || {}
  const { client } = useTribeClient()
  const networkKey = getNetworkKey({ fields })

  return useQuery<Network>(networkKey, () => client.network.get(fields), {
    placeholderData: useCachedNetwork(),
    ...useQueryOptions,
  })
}
