import { useQuery } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getNotificationsCountKey } from '../../utils/keys'

export const useNotificationsCount = () => {
  const { client } = useTribeClient()
  const notificationsKey = getNotificationsCountKey()

  return useQuery<number>(notificationsKey, () => client?.notifications.count())
}
