import { ClientError } from '@tribeplatform/gql-client'
import {
  QuerySpaceDefaultNotificationSettingsArgs,
  SpaceDefaultNotificationSettings,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getSpaceDefaultNotificationSettingsKey } from '../../utils/keys'

export const useSpaceDefaultNotificationSettings = (options: {
  variables: QuerySpaceDefaultNotificationSettingsArgs
  useQueryOptions?: UseQueryOptions<
    SpaceDefaultNotificationSettings[],
    ClientError
  >
}) => {
  const { variables, useQueryOptions } = options
  const { client } = useTribeClient()
  const spaceDefaultNotificationSettingsKey =
    getSpaceDefaultNotificationSettingsKey({ variables })

  return useQuery<SpaceDefaultNotificationSettings[], ClientError>(
    spaceDefaultNotificationSettingsKey,
    () => client.notifications.spaceDefaultNotificationSettings(variables),
    useQueryOptions,
  )
}
