import { PostFields } from '@tribeplatform/gql-client'
import { Post, QueryPostArgs } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getPostKey } from '../../utils/keys'
import { useCachedPost } from '../cache'

export const usePost = (options: {
  variables: QueryPostArgs
  fields?: PostFields
  useQueryOptions?: UseQueryOptions<Post>
}) => {
  const { variables, fields = 'default', useQueryOptions } = options
  const { client } = useTribeClient()
  const postKey = getPostKey({ variables, fields })
  const placeHolderPost = useCachedPost(variables?.id)

  return useQuery<Post>(postKey, () => client.posts.get(variables, fields), {
    placeholderData: (): Post => placeHolderPost,
    ...useQueryOptions,
  })
}
