import { PostTypeFields } from '@tribeplatform/gql-client'
import { PostType, QueryPostTypeArgs } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getPostTypeKey } from '../../utils/keys'

export const usePostType = (options: {
  variables: QueryPostTypeArgs
  fields?: PostTypeFields
  useQueryOptions?: UseQueryOptions<PostType>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options
  const { client } = useTribeClient()
  const postTypeKey = getPostTypeKey({ variables, fields })

  return useQuery<PostType>(
    postTypeKey,
    () => client.posts.getPostType(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
