import { PostTypeFields } from '@tribeplatform/gql-client/graphql/post'
import {
  PaginatedPostType,
  QueryPostTypesArgs,
} from '@tribeplatform/gql-client/types'

import { useInfiniteQuery, UseInfiniteQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getPostTypesKey } from '../../utils/keys'

export const usePostTypes = (options: {
  variables: QueryPostTypesArgs
  fields?: PostTypeFields
  useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedPostType>
}) => {
  const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {}
  const { client } = useTribeClient()
  const postTypesKey = getPostTypesKey({ variables, fields })

  return useInfiniteQuery<PaginatedPostType>(
    postTypesKey,
    ({ pageParam: after }) =>
      client?.posts.listPostTypes({ after, ...variables }, fields),
    useInfiniteQueryOptions,
  )
}
