import {
  ExtraProperty,
  QueryExtraPropertiesArgs,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getExtraPropertiesKey } from '../../utils/keys'

export const useExtraProperties = (options: {
  variables: QueryExtraPropertiesArgs
  useQueryOptions?: UseQueryOptions<ExtraProperty[]>
}) => {
  const { variables, useQueryOptions } = options
  const { client } = useTribeClient()
  const extraPropertiesKey = getExtraPropertiesKey({ variables })

  return useQuery<ExtraProperty[]>(
    extraPropertiesKey,
    () => client.extraProperties(variables),
    {
      ...useQueryOptions,
    },
  )
}
