import { ClientError } from '@tribeplatform/gql-client'
import {
  Action,
  MutationUpsertExtraPropertyArgs,
} from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions, useQueryClient } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getNetworkKey } from '../../utils/keys'

export const useUpsertExtraProperty = (options?: {
  useMutationOptions?: UseMutationOptions<
    Action,
    ClientError,
    MutationUpsertExtraPropertyArgs
  >
}) => {
  const { useMutationOptions } = options || {}
  const queryClient = useQueryClient()
  const { client } = useTribeClient()

  return useMutation<Action, ClientError, MutationUpsertExtraPropertyArgs>(
    input => client.upsertExtraProperties(input),
    {
      onSettled: () => {
        queryClient.invalidateQueries(getNetworkKey())
      },
      ...useMutationOptions,
    },
  )
}
