import { ReportRecordFields } from '@tribeplatform/gql-client'
import {
  QueryActivityLogsArgs,
  ReportRecord,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getActivityLogKey } from '../../utils/keys'

export const useActivityLogs = (options: {
  variables: QueryActivityLogsArgs
  fields?: ReportRecordFields
  useQueryOptions?: UseQueryOptions<ReportRecord[]>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options
  const { client } = useTribeClient()
  const activityLogKey = getActivityLogKey({ variables, fields })

  return useQuery<ReportRecord[]>(
    activityLogKey,
    () => client.report.activityLogs(variables, fields),
    useQueryOptions,
  )
}
