import { ReportRecordFields } from '@tribeplatform/gql-client'
import {
  QueryAnalyticsArgs,
  AnalyticsResponse,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getAnalyticsKey } from '../../utils/keys'

export const useAnalytics = (options: {
  variables: QueryAnalyticsArgs
  fields?: ReportRecordFields
  useQueryOptions?: UseQueryOptions<AnalyticsResponse[]>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options
  const { client } = useTribeClient()
  const analyticsKey = getAnalyticsKey({ variables, fields })

  return useQuery<AnalyticsResponse[]>(
    analyticsKey,
    () => client.report.analytics(variables, fields),
    useQueryOptions,
  )
}
