import { MemberFields } from '@tribeplatform/gql-client'
import { QueryLeaderboardArgs, Member } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getLeaderboardKey } from '../../utils/keys'

export const useLeaderboard = (options: {
  variables: QueryLeaderboardArgs
  fields?: MemberFields
  useQueryOptions?: UseQueryOptions<Member[]>
}) => {
  const { variables, fields = 'default', useQueryOptions } = options
  const { client } = useTribeClient()
  const leaderboardKey = getLeaderboardKey({ variables, fields })

  return useQuery<Member[]>(
    leaderboardKey,
    () => client.report.getLeaderboard(variables, fields),
    useQueryOptions,
  )
}
