import { LeaderboardFields } from '@tribeplatform/gql-client'
import {
  QueryLeaderboardWithScoresArgs,
  LeaderboardItem,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getLeaderboardWithScoresKey } from '../../utils/keys'

export const useLeaderboardWithScores = (options: {
  variables: QueryLeaderboardWithScoresArgs
  fields?: LeaderboardFields
  useQueryOptions?: UseQueryOptions<LeaderboardItem[]>
}) => {
  const { variables, fields = 'default', useQueryOptions } = options
  const { client } = useTribeClient()
  const leaderboardWithScoresKey = getLeaderboardWithScoresKey({
    variables,
    fields,
  })

  return useQuery<LeaderboardItem[]>(
    leaderboardWithScoresKey,
    () => client.report.getLeaderboardWithScores(variables, fields),
    useQueryOptions,
  )
}
