import { RoleFields } from '@tribeplatform/gql-client'
import { Role, QueryRolesArgs } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getRolesKey } from '../../utils/keys'

export const useRoles = (options?: {
  variables: QueryRolesArgs
  fields?: RoleFields
  useQueryOptions?: UseQueryOptions<Array<Role>>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options || {}
  const { client } = useTribeClient()
  const spaceRolesKey = getRolesKey({ variables, fields })

  return useQuery<Array<Role>>(
    spaceRolesKey,
    () => client.roles.list(variables, fields),
    useQueryOptions,
  )
}
