import { SpaceJoinRequestFields } from '@tribeplatform/gql-client'
import {
  QueryMemberSpaceMembershipRequestArgs,
  SpaceJoinRequest,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getMemberSpaceMembershipRequestKey } from '../../utils/keys'

export const useMemberSpaceMembershipRequest = (options: {
  variables?: QueryMemberSpaceMembershipRequestArgs
  fields?: SpaceJoinRequestFields
  useQueryOptions?: UseQueryOptions<Array<SpaceJoinRequest>>
}) => {
  const { fields = 'basic', useQueryOptions, variables } = options
  const { client } = useTribeClient()
  const memberSpaceMembershipRequest = getMemberSpaceMembershipRequestKey({
    variables,
    fields,
  })

  return useQuery<Array<SpaceJoinRequest>>(
    memberSpaceMembershipRequest,
    () => client.spaceMembership.getMemberRequests(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
