import { SpaceJoinRequestFields } from '@tribeplatform/gql-client'
import {
  SpaceJoinRequest,
  QuerySpaceMembershipRequestsArgs,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getSpaceMembershipRequestKey } from '../../utils/keys'

export const useSpaceMembershipRequests = (options: {
  variables: QuerySpaceMembershipRequestsArgs
  fields?: SpaceJoinRequestFields
  useQueryOptions?: UseQueryOptions<Array<SpaceJoinRequest>>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options
  const { client } = useTribeClient()
  const key = getSpaceMembershipRequestKey({ variables, fields })

  return useQuery<Array<SpaceJoinRequest>>(
    key,
    () => client.spaceMembership.getRequests(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
