import { TemplateRequestFields } from '@tribeplatform/gql-client'
import {
  MutationCreateSpaceFromTemplateArgs,
  TemplateRequest,
} from '@tribeplatform/gql-client/types'

import { useMutation, UseMutationOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'

export const useCreateSpaceFromTemplate = (options?: {
  fields?: TemplateRequestFields
  useMutationOptions?: UseMutationOptions<
    TemplateRequest,
    Error,
    MutationCreateSpaceFromTemplateArgs
  >
}) => {
  const { useMutationOptions, fields = 'basic' } = options || {}
  const { client } = useTribeClient()

  return useMutation<
    TemplateRequest,
    Error,
    MutationCreateSpaceFromTemplateArgs
  >(
    input => client.spaces.createSpaceFromTemplate(input, fields),
    useMutationOptions,
  )
}
