import { PageFields } from '@tribeplatform/gql-client'
import { Page, QueryPageArgs } from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getPageKey } from '../../utils/keys'

export const usePage = (options: {
  variables: QueryPageArgs
  fields?: PageFields
  useQueryOptions?: UseQueryOptions<Page>
}) => {
  const { variables, fields = 'default', useQueryOptions } = options
  const { client } = useTribeClient()
  const pageKey = getPageKey({ variables, fields })

  return useQuery<Page>(
    pageKey,
    () => client.spaces.getByPath(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
