import { SpacePostTypeFields } from '@tribeplatform/gql-client'
import {
  QuerySpacePostTypeArgs,
  SpacePostType,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getSpacePostTypeKey } from '../../utils/keys'

export const useSpacePostType = (options: {
  variables: QuerySpacePostTypeArgs
  fields?: SpacePostTypeFields
  useQueryOptions?: UseQueryOptions<SpacePostType>
}) => {
  const { variables, fields = 'basic', useQueryOptions } = options
  const { client } = useTribeClient()
  const spacePostTypeKey = getSpacePostTypeKey({ variables, fields })

  return useQuery<SpacePostType>(
    spacePostTypeKey,
    () => client.spacePostType.get(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
