import { SpacePostTypeFields } from '@tribeplatform/gql-client/graphql/post'
import {
  PaginatedSpacePostType,
  QuerySpacePostTypesArgs,
} from '@tribeplatform/gql-client/types'

import { useInfiniteQuery, UseInfiniteQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getSpacePostTypesKey } from '../../utils/keys'

export const useSpacePostTypes = (options: {
  variables: QuerySpacePostTypesArgs
  fields?: SpacePostTypeFields
  useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedSpacePostType>
}) => {
  const {
    variables,
    fields = 'default',
    useInfiniteQueryOptions,
  } = options || {}
  const { client } = useTribeClient()
  const spacePostTypesKey = getSpacePostTypesKey({ variables, fields })

  return useInfiniteQuery<PaginatedSpacePostType>(
    spacePostTypesKey,
    ({ pageParam: after }) =>
      client?.spacePostType.list({ after, ...variables }, fields),
    useInfiniteQueryOptions,
  )
}
