import { TemplateRequestFields } from '@tribeplatform/gql-client'
import {
  QueryTemplateRequestArgs,
  TemplateRequest,
} from '@tribeplatform/gql-client/types'

import { useQuery, UseQueryOptions } from '../../lib'
import { useTribeClient } from '../../useTribeClient'
import { getTemplateRequestKey } from '../../utils/keys'

export const useTemplateRequest = (options: {
  variables: QueryTemplateRequestArgs
  fields?: TemplateRequestFields
  useQueryOptions?: UseQueryOptions<TemplateRequest>
}) => {
  const { variables, fields, useQueryOptions } = options
  const { client } = useTribeClient()
  const templateRequestKey = getTemplateRequestKey({ variables, fields })

  return useQuery<TemplateRequest>(
    templateRequestKey,
    () => client.templates.templateRequest(variables, fields),
    {
      ...useQueryOptions,
    },
  )
}
