import {
  AppCollaboratorFields,
  AppFields,
  AppInstallationFields,
  AppPublicationFields,
} from '@tribeplatform/gql-client'
import {
  QueryGlobalAppPublicationsArgs,
  QueryGlobalAppCollaboratorsArgs,
  QueryAppArgs,
  QueryAppsArgs,
  QueryGetAppNetworkSettingsArgs,
  QueryGetAppSpaceSettingsArgs,
  QueryGetNetworkAppInstallationsArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const APP_KEY = 'app'
const APPS_KEY = 'apps'
const APP_NETWORK_SETTINGS = 'appNetworkSettings'
const APP_SPACE_SETTINGS = 'appSpaceSettings'
const APP_INSTALLATIONS_KEY = 'appInstallations'
const APP_COLLABORATORS_KEY = 'appCollaborators'
const APP_PUBLICATIONS_KEY = 'appPublications'

export const getAppKey = KeyConstructor<QueryAppArgs, AppFields>(APP_KEY)
export const getAppsKey = KeyConstructor<QueryAppsArgs, AppFields>(APPS_KEY)
export const getAppNetworkSettingsKey = KeyConstructor<
  QueryGetAppNetworkSettingsArgs,
  never
>(APP_NETWORK_SETTINGS)
export const getAppSpaceSettingsKey = KeyConstructor<
  QueryGetAppSpaceSettingsArgs,
  never
>(APP_SPACE_SETTINGS)
export const getAppInstallationsKey = KeyConstructor<
  QueryGetNetworkAppInstallationsArgs,
  AppInstallationFields
>(APP_INSTALLATIONS_KEY)
export const getAppCollaboratorsKey = KeyConstructor<
  QueryGlobalAppCollaboratorsArgs,
  AppCollaboratorFields
>(APP_COLLABORATORS_KEY)
export const getAppPublicationsKey = KeyConstructor<
  QueryGlobalAppPublicationsArgs,
  AppPublicationFields
>(APP_PUBLICATIONS_KEY)
