import { MemberFields, SpaceMemberFields } from '@tribeplatform/gql-client'
import {
  QueryMemberArgs,
  QueryMembersArgs,
  QuerySpaceMembersArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const MEMBER_KEY = 'member'
const MEMBERS_KEY = 'members'
const SPACE_MEMBERS_KEY = 'spaceMembers'

export const getMemberKey = KeyConstructor<QueryMemberArgs, MemberFields>(
  MEMBER_KEY,
)
export const getMembersKey = KeyConstructor<QueryMembersArgs, MemberFields>(
  MEMBERS_KEY,
)
export const getSpaceMembersKey = KeyConstructor<
  QuerySpaceMembersArgs,
  SpaceMemberFields
>(SPACE_MEMBERS_KEY)
