import {
  ModerationItemFields,
  ModerationItemReporterFields,
} from '@tribeplatform/gql-client'
import {
  QueryModerationItemArgs,
  QueryModerationItemReportersArgs,
  QueryModerationItemsArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const MODERATION_ITEM_KEY = 'moderationItem'
const MODERATION_ITEMS_KEY = 'moderationItems'
const MODERATION_ITEM_REPORTERS_KEY = 'moderationItemReporters'
const MODERATION_SETTINGS_KEY = 'moderationSettings'

export const getModerationItemKey = KeyConstructor<
  QueryModerationItemArgs,
  ModerationItemFields
>(MODERATION_ITEM_KEY)
export const getModerationItemsKey = KeyConstructor<
  QueryModerationItemsArgs,
  ModerationItemFields
>(MODERATION_ITEMS_KEY)
export const getModerationItemReportersKey = KeyConstructor<
  QueryModerationItemReportersArgs,
  ModerationItemReporterFields
>(MODERATION_ITEM_REPORTERS_KEY)
export const getModerationSettingsKey = KeyConstructor<never, never>(
  MODERATION_SETTINGS_KEY,
)
