import { NetworkFields, PluralNetworkFields } from '@tribeplatform/gql-client'
import {
  QueryGlobalNetworksArgs,
  QueryNewDomainStatusArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const NETWORK_KEY = 'network'
const NEW_DOMAIN_STATUS_KEY = 'newDomainStatus'
const NETWORKS_KEY = 'networks'

export const getNetworkKey = KeyConstructor<never, NetworkFields>(NETWORK_KEY)
export const getNewDomainStatusKey = KeyConstructor<
  QueryNewDomainStatusArgs,
  never
>(NEW_DOMAIN_STATUS_KEY)
export const getNetworksKey = KeyConstructor<
  QueryGlobalNetworksArgs,
  PluralNetworkFields
>(NETWORKS_KEY)
