import '@testing-library/jest-dom/extend-expect'
import { server } from './server'

// simulate ProvidePlugin for our tests using a global variable
window.React = require('react')

// Establish API mocking before all tests.
beforeAll(() => {
  server.listen({
    onUnhandledRequest: 'warn',
  })
})
// server.printHandlers()

afterEach(() => server.resetHandlers())
afterAll(() => server.close())

jest.setTimeout(20000) // in milliseconds

process.env.DEBUG_PRINT_LIMIT = '30000'
